<?php



// QT-registerations 2.2.5 build:20090823



// -----------------

// Connection config

// -----------------

require_once('bin/config.php');

if ( isset($qtr_install) ) { define('QT','qtr'.substr($qtr_install,-1)); } else { define('QT','qtr'); }



// -----------------

// System constants (this CANNOT be changed by webmasters)

// -----------------

define('TABDOMAIN', $qtr_prefix.'qtrdomain');

define('TABSECTION', $qtr_prefix.'qtrsection');

define('TABUSER', $qtr_prefix.'qtruser');

define('TABTOPIC', $qtr_prefix.'qtrtopic');

define('TABPOST', $qtr_prefix.'qtrpost');

define('TABSTATUS', $qtr_prefix.'qtrstatus');

define('TABSETTING', $qtr_prefix.'qtrsetting');

define('TABLANG', $qtr_prefix.'qtrlang');

define('TABDATA', $qtr_prefix.'qtrdata');

define('TABFIELD', $qtr_prefix.'qtrfield');

define('TABTAB', $qtr_prefix.'qtrtab');

define('TABDOC', $qtr_prefix.'qtrdoc');

define('QTRVERSION', '2.2.5 build:20090823');

define('QSEL', ' selected="selected"');

define('QCHE', ' checked="checked"');

define('QDIS', ' disabled="disabled"');

define('N', "\n");

define('S', '&nbsp;');



// -----------------

// Interface constants (this can be changed by webmasters)

// -----------------

define('QTR_BACKBUTTON', '&nbsp;&laquo;&nbsp;');  // use FALSE to hide backbutton

define('QTR_DFLT_VIEWMODE',   'N');   // default view mode: N=normal view, C=compact view

define('QTR_SHOW_VIEWMODE',   true);  // allow user to change view mode

define('QTR_SHOW_CONTRAST',   true);  // allow user to change contrast/normal mode

define('QTR_SHOW_FAQMENU',    false); // show faq in then menu on top

define('QTR_SHOW_PRINT',      true);  // allow user to get a print style

define('QTR_SHOW_TIME',       true);  // show time in the bottom bar

define('QTR_SHOW_MEMBERLIST', true);  // show memberlist in the menu

define('QTR_SHOW_MODERATOR',  true);  // show moderator in the bottom bar

define('QTR_SHOW_GOTOLIST',   true);  // show gotolist in the bottom bar

define('QTR_SHOW_DOMAIN',     false); // show domain + section name in the crumb trail bar

define('QTR_USE_COPPA',       false); // apply coppa registration rule (child protection act)

define('QTR_CHILDREN',        13);    // end children age (for coppa)

define('QTR_CRUMBTRAIL',' &middot; ');// crumbtrail separator (dont forget spaces)

define('QTR_MENUSEPARATOR', ' &middot; '); // bottom menu separator (dont forget spaces)

define('QTR_NOTIFY_NEWACTOR', true);  // notify new actor when topic actor changes (this option is applicable only in sections having notification activated!)

define('QTR_NOTIFY_OLDACTOR', false); // notify old actor when topic actor changes (this option is applicable only in sections having notification activated!)

define('QTR_CONVERT_AMP',     false); // save &amp; instead of &. Use TRUE to make &#0000; symbols NOT working.

define('QTR_SIMPLESEARCH',    true);  // simple search by default (use false to directly search as advanced)

define('QTR_DIR_PIC', 'avatar/');     // where to store uploaded userphoto, if allowed, (with final '/')

define('QTR_DIR_DOC', 'upload/');     // where to store uploaded files, if allowed, (with final '/')

define('QTR_LIST_ME',         false); // execute the 'i-replied' search in section list. Set False to improve speed.

define('QTR_LIST_TAG',        true);  // display a quick search link for the tags in section list.

define('QTR_JAVA_MAIL',       false); // Protect e-mail by a javascript



// -----------------

// Class and function definition

// -----------------

require_once('bin/qt_lib_db.php');

require_once('bin/qt_lib_txt.php');

require_once('bin/qt_lib_url.php');

require_once('bin/qtr_class_sys.php');

require_once('bin/qtr_class_vip.php');

require_once('bin/qtr_class_sec.php');

require_once('bin/qtr_class_topic.php');

require_once('bin/qtr_class_post.php');

require_once('bin/qtr_class_lang.php');

require_once('bin/qtr_class_field.php');

require_once('bin/qtr_class_tab.php');

require_once('bin/qtr_fn_common.php');

require_once('bin/qtr_fn_html.php');



// -----------------

//  Installation wizard (if file exists)

// -----------------

if ( !isset($qtr_install) )

{

  if ( file_exists('install/index.php') )

  {

  echo 'QuickTeam ',QTRVERSION,' <a href="install/index.php">starting installation</a>...';

  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';

  exit;

  }

}

if ( empty($qtr_install) )

{

  if ( file_exists('install/index.php') )

  {

  echo 'QuickTeam ',QTRVERSION,' <a href="install/index.php">starting installation</a>...';

  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';

  exit;

  }

}



// ----------------

// Initialise Classes

// ----------------

$oDB = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn); if ( $oDB===FALSE ) Exit;

if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');

$oVIP = new cVIP();



// ----------------

// Check for changes (-1 means change detected, reset is performed)

// ----------------

if ( isset($_SESSION[QT]) ) {

if ( isset($_SESSION[QT]['sys_change']) ) {

if ( $_SESSION[QT]['sys_change']=='-1' ) {

  unset($_SESSION[QT]);

  $_SESSION['L']=array();

}}}



// ----------------

// Load parameters (attention some parameters can be reserved, thus not loaded)

// ----------------

if ( !isset($_SESSION[QT]) ) GetParam(true);



// check major parameters

if ( !isset($_SESSION[QT]['sys_change']) ) $_SESSION[QT]['sys_change']='0';

if ( !isset($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';

if ( !isset($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';

if ( !isset($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';

if ( empty($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';

if ( empty($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';

if ( empty($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';

if ( substr($_SESSION[QT]['skin_dir'],0,5)!='skin/' ) $_SESSION[QT]['skin_dir'] = 'skin/'.$_SESSION[QT]['skin_dir'];

if ( substr($_SESSION[QT]['language'],0,9)!='language/' ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['language'];



// ----------------

// Initialise variable

// ----------------



$error = ''; // Required when server uses register_global_on

$warning = ''; // Required when server uses register_global_on

$arrExtData = array(); // Can be used by extensions



if ( isset($_GET['lx']) ) cSYS::SetLang($_GET['lx']);



if ( !isset($_SESSION[QT]['viewmode']) ) $_SESSION[QT]['viewmode']=QTR_DFLT_VIEWMODE;

if ( !isset($_SESSION[QT]['userlang']) ) $_SESSION[QT]['userlang']='1';

if ( !isset($_SESSION[QT]['lastcolumn']) ) $_SESSION[QT]['lastcolumn']='';

if ( !isset($_SESSION[QT]['cal_shownews']) ) $_SESSION[QT]['cal_shownews']=FALSE;

if ( !isset($_SESSION[QT]['cal_showall']) ) $_SESSION[QT]['cal_showall']=FALSE;



// ----------------

// Load dictionary

// ----------------



if ( !isset($_SESSION['L']) ) $_SESSION['L'] = array();



CheckDico('index',false);

CheckDico('domain',false);

CheckDico('sec',true);



include_once($_SESSION[QT]['language'].'/qtr_main.php');

include_once($_SESSION[QT]['language'].'/qtr_icon.php');



// ----------------

// Define types,statuses and initialise statistics

// ----------------



$oSYS = new cSYS(); // must be at the end because uses language



if ( $oVIP->coockieconfirm )

{

$oVIP->exitname = $L['Continue'];

$oVIP->EndMessage(NULL,'<h2>'.$L['Welcome'].' '.$oVIP->username.'</h2><p><a href="qtr_usr_login.php?a=out">'.sprintf($L['Welcome_not'],$oVIP->username).'</a></p><br/>',$_SESSION[QT]['skin_dir'],0,'350px','login_header','login');

}



?>