<?php

// QT-registerations 2.2 build:20090710

session_start();

function SqlDrop($strTable,$strConstrain=null)
{
  global $oDB;
  if ( isset($strConstrain) && $oDB->type=='oci' ) $oDB->Query('ALTER TABLE '.$strTable.' DROP CONSTRAINT '.$strConstrain);
  $oDB->Query('DROP TABLE '.$strTable);
}

// INITIALISATION

include('../bin/qt_lib_db.php');
include('../bin/config.php'); if ( $qtr_dbsystem=='sqlite' ) $qtr_database = '../'.$qtr_database;

define('TABDOMAIN', $qtr_prefix.'qtrdomain');
define('TABSECTION', $qtr_prefix.'qtrsection');
define('TABUSER', $qtr_prefix.'qtruser');
define('TABTOPIC', $qtr_prefix.'qtrtopic');
define('TABPOST', $qtr_prefix.'qtrpost');
define('TABSTATUS', $qtr_prefix.'qtrstatus');
define('TABSETTING', $qtr_prefix.'qtrsetting');
define('TABLANG', $qtr_prefix.'qtrlang');
define('TABDATA', $qtr_prefix.'qtrdata');
define('TABFIELD', $qtr_prefix.'qtrfield');
define('TABTAB', $qtr_prefix.'qtrtab');
define('TABDOC', $qtr_prefix.'qtrdoc');

$strAppl = 'QT-registerations 1.3';
include('qtr_lang_en.php');

// --------
// HTML START
// --------

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">
<head>
<title>Uninstalling ',$strAppl,'</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="../admin/qtr_main.css">
</head>

<body>

<!-- PAGE CONTROL -->
<div class="qtr_page">
<table class="qtr_page" width="750" cellspacing="0" style="margin:5px">
<tr class="qtr_page">
<td class="qtr_page">
<!-- PAGE CONTROL -->

<!-- BANNER -->
<div class="banner">
<div class="banner_in">
<img src="qtr_logo.gif" width="175" height="50" style="border-width:0" alt="QT-registerations" title="QT-registerations"/>
</div>
</div>
<!-- END BANNER -->

<!-- BODY MAIN -->
<table width="100%" cellspacing="0" style="border-style:solid;border-color:#AAAAAA;border-width:1px;">
<tr class="tr_body">
<td class="td_body">
<!-- BODY MAIN -->
';

echo '1. <b>Opening database connection</b>... ';

$oDB = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

echo 'done<br/><br/>';

// SUBMITTED

if ( isset($_GET['a']) )
{
  switch($_GET['a'])
  {
  case 'Drop ALL tables':
    echo ' Dropping Post...'; SqlDrop(TABPOST,'pk_'.$qtr_prefix.'qtrpost'); echo 'done.<br/>';
    echo ' Dropping Topic...'; SqlDrop(TABTOPIC,'pk_'.$qtr_prefix.'qtrtopic'); echo 'done.<br/>';
    echo ' Dropping Section...'; SqlDrop(TABSECTION,'pk_'.$qtr_prefix.'qtrsection'); echo 'done.<br/>';
    echo ' Dropping Domain...'; SqlDrop(TABDOMAIN,'pk_'.$qtr_prefix.'qtrdomain'); echo 'done.<br/>';
    echo ' Dropping User...'; SqlDrop(TABUSER,'pk_'.$qtr_prefix.'qtruser'); echo 'done.<br/>';
    echo ' Dropping Status...'; SqlDrop(TABSTATUS,'pk_'.$qtr_prefix.'qtrstatus'); echo 'done.<br/>';
    echo ' Dropping Setting...'; SqlDrop(TABSETTING); echo 'done.<br/>';
    echo ' Dropping Lang...'; SqlDrop(TABLANG,'pk_'.$qtr_prefix.'qtrlang'); echo 'done.<br/>';
    echo ' Dropping Topicdata...'; SqlDrop(TABDATA,'pk_'.$qtr_prefix.'qtrdata'); echo 'done.<br/>';
    echo ' Dropping Tabfield...'; SqlDrop(TABFIELD,'pk_'.$qtr_prefix.'qtrfield'); echo 'done.<br/>';
    echo ' Dropping Sectiontab...'; SqlDrop(TABTAB,'pk_'.$qtr_prefix.'qtrtab'); echo 'done.<br/>';
    echo ' Dropping Document...'; SqlDrop(TABDOC); echo 'done.<br/>';
    break;
  case 'Drop table Post':
    echo ' Dropping Post...'; SqlDrop(TABPOST,'pk_'.$qtr_prefix.'qtrpost'); echo 'done.<br/>'; break;
  case 'Drop table Topic':
    echo ' Dropping Topic...'; SqlDrop(TABTOPIC,'pk_'.$qtr_prefix.'qtrtopic'); echo 'done.<br/>'; break;
  case 'Drop table Section':
    echo ' Dropping Section...'; SqlDrop(TABSECTION,'pk_'.$qtr_prefix.'qtrsection'); echo 'done.<br/>'; break;
  case 'Drop table Domain':
    echo ' Dropping Domain...'; SqlDrop(TABDOMAIN,'pk_'.$qtr_prefix.'qtrdomain'); echo 'done.<br/>'; break;
  case 'Drop table User':
    echo ' Dropping User...'; SqlDrop(TABUSER,'pk_'.$qtr_prefix.'qtruser'); echo 'done.<br/>'; break;
  case 'Drop table Status':
    echo ' Dropping Status...'; SqlDrop(TABSTATUS,'pk_'.$qtr_prefix.'qtrstatus'); echo 'done.<br/>'; break;
  case 'Drop table Setting':
    echo ' Dropping Setting...'; SqlDrop(TABSETTING); echo 'done.<br/>'; break;
  case 'Drop table Lang':
    echo ' Dropping Lang...'; SqlDrop(TABLANG,'pk_'.$qtr_prefix.'qtrlang'); echo 'done.<br/>'; break;
  case 'Drop table Topicdata':
    echo ' Dropping Topicdata...'; SqlDrop(TABDATA,'pk_'.$qtr_prefix.'qtrdata'); echo 'done.<br/>'; break;
  case 'Drop table Tabfield':
    echo ' Dropping Tabfield...'; SqlDrop(TABFIELD,'pk_'.$qtr_prefix.'qtrfield'); echo 'done.<br/>'; break;
  case 'Drop table Sectiontab':
    echo ' Dropping Sectiontab...'; SqlDrop(TABTAB,'pk_'.$qtr_prefix.'qtrtab'); echo 'done.<br/>'; break;
  case 'Drop table Document':
    echo ' Dropping Document...'; SqlDrop(TABDOC); echo 'done.<br/>'; break;
  case 'Add table Post':
    include('qtr_setup_post.php'); echo $_GET['a'],' done'; break;
  case 'Add table Topic':
    include('qtr_setup_topic.php'); echo $_GET['a'],' done'; break;
  case 'Add table Sectionm':
    include('qtr_setup_section.php'); echo $_GET['a'],' done'; break;
  case 'Add table Domain':
    include('qtr_setup_domain.php'); echo $_GET['a'],' done'; break;
  case 'Add table User':
    include('qtr_setup_user.php'); echo $_GET['a'],' done'; break;
  case 'Add table Status':
    include('qtr_setup_status.php'); echo $_GET['a'],' done'; break;
  case 'Add table Setting':
    include('qtr_setup_setting.php'); echo $_GET['a'],' done'; break;
  case 'Add table Lang':
    include('qtr_setup_lang.php'); echo $_GET['a'],' done'; break;
  case 'Add table Topicdata':
    include('qtr_setup_data.php'); echo $_GET['a'],' done'; break;
  case 'Add table Tabfield':
    include('qtr_setup_field.php'); echo $_GET['a'],' done'; break;
  case 'Add table Sectiontab':
    include('qtr_setup_tab.php'); echo $_GET['a'],' done'; break;
  case 'Add table Document':
    include('qtr_setup_doc.php'); echo $_GET['a'],' done'; break;

  }
}

// Tables do drop

echo '<br/>2. <b>Drop the tables</b><br/>';

echo '<form action="qtr_droptables.php" method="get">';
echo '<input type="submit" name="a" value="Drop ALL tables"/> from the database ',$qtr_database,'<br/><br/>';
echo '<input type="submit" name="a" value="Drop table Post"/> ',TABPOST,'<br/>';
echo '<input type="submit" name="a" value="Drop table Topic"/> ',TABTOPIC,'<br/>';
echo '<input type="submit" name="a" value="Drop table User"/> ',TABUSER,'<br/>';
echo '<input type="submit" name="a" value="Drop table Section"/> ',TABSECTION,'<br/>';
echo '<input type="submit" name="a" value="Drop table Domain"/> ',TABDOMAIN,'<br/>';
echo '<input type="submit" name="a" value="Drop table Status"/> ',TABSTATUS,'<br/>';
echo '<input type="submit" name="a" value="Drop table Setting"/> ',TABSETTING,'<br/>';
echo '<input type="submit" name="a" value="Drop table Lang"/> ',TABLANG,'<br/>';
echo '<input type="submit" name="a" value="Drop table Topicdata"/> ',TABDATA,'<br/>';
echo '<input type="submit" name="a" value="Drop table Tabfield"/> ',TABFIELD,'<br/>';
echo '<input type="submit" name="a" value="Drop table Sectiontab"/> ',TABTAB,'<br/>';
echo '<input type="submit" name="a" value="Drop table Document"/> ',TABDOC,'<br/>';

echo '<br/>3. <b>Add tables</b><br/>';

echo '<input type="submit" name="a" value="Add table Post"/> ',TABPOST,'<br/>';
echo '<input type="submit" name="a" value="Add table Topic"/> ',TABTOPIC,'<br/>';
echo '<input type="submit" name="a" value="Add table User"/> ',TABUSER,'<br/>';
echo '<input type="submit" name="a" value="Add table Section"/> ',TABSECTION,'<br/>';
echo '<input type="submit" name="a" value="Add table Domain"/> ',TABDOMAIN,'<br/>';
echo '<input type="submit" name="a" value="Add table Status"/> ',TABSTATUS,'<br/>';
echo '<input type="submit" name="a" value="Add table Setting"/> ',TABSETTING,'<br/>';
echo '<input type="submit" name="a" value="Add table Lang"/> ',TABLANG,'<br/>';
echo '<input type="submit" name="a" value="Add table Topicdata"/> ',TABDATA,'<br/>';
echo '<input type="submit" name="a" value="Add table Tabfield"/> ',TABFIELD,'<br/>';
echo '<input type="submit" name="a" value="Add table Sectiontab"/> ',TABTAB,'<br/>';
echo '<input type="submit" name="a" value="Add table Document"/> ',TABDOC,'<br/>';
echo '</form>';

echo '<p><a href="qtr_setup.php">install &raquo;</a></p>';

// --------
// HTML END
// --------

echo '
<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->

<div class="footer">
powered by <a href="http://www.qt-cute.org" class="footer_menu">QT-cute</a>
</div>

<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>
</html>';
?>