<?php

// QT-registerations 2.2 build:20090710

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id int,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(255),
  fielddate varchar(20),
  fielduserid int,
  fieldusername varchar(24),
  PRIMARY KEY (id,fieldid)
  )';
  break;
case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id int,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(4000),
  fielddate varchar(20),
  fielduserid int,
  fieldusername varchar(24),
  PRIMARY KEY (id,fieldid)
  )';
  break;
case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id int,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(4000),
  fielddate varchar(20),
  fielduserid int,
  fieldusername varchar(24),
  CONSTRAINT pk_'.$qtr_prefix.'qtrdata PRIMARY KEY (id,fieldid)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id integer,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(4000),
  fielddate varchar(20),
  fielduserid integer,
  fieldusername varchar(24),
  PRIMARY KEY (id,fieldid)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id integer,
  tabid text,
  fieldid text,
  fieldvalue text,
  fielddate text,
  fielduserid integer,
  fieldusername text,
  PRIMARY KEY (id,fieldid)
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id integer,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(4000),
  fielddate varchar(20),
  fielduserid integer,
  fieldusername varchar(24),
  PRIMARY KEY (id,fieldid)
  )';
  break;

case 'access':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id int,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(255),
  fielddate varchar(20),
  fielduserid int,
  fieldusername varchar(24),
  CONSTRAINT pk_'.$qtr_prefix.'qtrdata PRIMARY KEY (id,fieldid)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id integer,
  tabid varchar(24),
  fieldid varchar(24),
  fieldvalue varchar(4000),
  fielddate varchar(20),
  fielduserid integer,
  fieldusername varchar(24),
  PRIMARY KEY (id,fieldid)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrdata (
  id number(32),
  tabid varchar2(24),
  fieldid varchar2(24),
  fieldvalue varchar2(4000),
  fielddate varchar2(20),
  fielduserid number(32),
  fieldusername varchar2(24),
  CONSTRAINT pk_'.$qtr_prefix.'qtrdata PRIMARY KEY (id,fieldid))';
  break;

default:
  die('Database type ['.$oDB->type.'] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, oracle or access');

}

echo '<span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrdata',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="button"><tr><td></td><td class="button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

?>