<?php

// QT-registrations 2.2 build:20090710

// GLOBAL STATISTICS included in:
// qtr_stats_{g|gt}.php and
// qtr_stats_{g|gt}_{csv|pdf}.php

include('bin/qt_lib_graph.php');

// Initialise array values. When a value is missing the display will show &middot;

if ( !isset($intStartyear) )
{
  $oDB->Query( 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC );
  $row = $oDB->Getrow();
  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';
  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');
  $intStartyear = intval(substr($row['startdate'],0,4));
  $intStartmonth = intval(substr($row['startdate'],4,2));
  $intEndyear = intval(date('Y'));
  $intEndmonth = intval(date('n'));
}

switch($ch['time'])
{
case 'q': $intMaxBt=4; break;
case 'm': $intMaxBt=12; break;
case 'd': $intMaxBt=10; break;
default: die('Invalid blocktime');
}

$intCurrentYear = $intYear;
$strCurrentTendaysago = $strTendaysago;

$arrA = array(); // Abscise
$arrT = array(); $arrTs = array(); // Topics,   Topics sum,   ($arrT can have null)
$arrM = array(); $arrMs = array(); // Replies,  Replies sum, 
$arrU = array(); $arrUs = array(); // Users,    Users sum,    

foreach($arrYears as $intYear) // GLOBAL has 1 year, GLOBAL TRENDS has 2 years
{
  $arrT[$intYear] = array();
  $arrM[$intYear] = array();
  $arrU[$intYear] = array(); 
  switch($ch['time'])
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]='Q'.$i;                                        $arrT[$intYear][$i]=null; $arrM[$intYear][$i]=null; $arrU[$intYear][$i]=null; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]=$L['dateMM'][$i];                              $arrT[$intYear][$i]=null; $arrM[$intYear][$i]=null; $arrU[$intYear][$i]=null; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]=substr(DateAdd($strTendaysago,$i,'day'),-2,2); $arrT[$intYear][$i]=null; $arrM[$intYear][$i]=null; $arrU[$intYear][$i]=null; } break;
  }
  $arrTs[$intYear] = 0;
  $arrMs[$intYear] = 0;
  $arrUs[$intYear] = 0;
}

// -----
foreach($arrYears as $intYear) {
// -----

if ( $intCurrentYear==$intYear ) { $strTendaysago = $strCurrentTendaysago; } else { $strTendaysago = DateAdd(substr($strTendaysago,0,8),-1,'year'); }

// COUNT TOPICS

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  // check limits (startdate/enddate)

  if ( $intYear<$intStartyear ) continue;
  if ( $intYear==$intStartyear )
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt<$intStartmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==1 && $intStartmonth>3) || ($intBt==2 && $intStartmonth>6) || ($intBt==3 && $intStartmonth>9) ) {
    continue;
    }}
  }
  if ( $intYear>=$intEndyear ) 
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt>$intEndmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==2 && $intEndmonth<4) || ($intBt==3 && $intEndmonth<8) || ($intBt==4 && $intEndmonth<12) ) {
    continue;
    }}
  }

  // compute per blocktime

  switch(substr($oDB->type,0,5))
  {
  case 'mysql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'mssql':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'pg':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'ibase':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate FROM 1 FOR 6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'sqlit':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'acces':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'db2':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'oci':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  default: die('Unknown db type '.$oDB->type);
  }
  $row = $oDB->Getrow();
  $arrT[$intYear][$intBt] = intval($row['countid']);
  $arrTs[$intYear] += $arrT[$intYear][$intBt]; // total
}

// COUNT REPLIES

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  // check limits (startdate/enddate)

  if ( $intYear<$intStartyear ) continue;
  if ( $intYear==$intStartyear )
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt<$intStartmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==1 && $intStartmonth>3) || ($intBt==2 && $intStartmonth>6) || ($intBt==3 && $intStartmonth>9) ) {
    continue;
    }}
  }
  if ( $intYear>=$intEndyear ) 
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt>$intEndmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==2 && $intEndmonth<4) || ($intBt==3 && $intEndmonth<8) || ($intBt==4 && $intEndmonth<12) ) {
    continue;
    }}
  }

  // compute per blocktime

  switch(substr($oDB->type,0,5))
  {
  case 'mysql':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'mssql':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'pg':    
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'ibase': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate FROM 1 FOR 6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'sqlit': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'acces': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'db2':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'oci':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(replies) as countid FROM '.TABTOPIC.' WHERE '.$strSection.$strTags.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  default: die('Unknown db type '.$oDB->type);
  }
  $row = $oDB->Getrow();
  $arrM[$intYear][$intBt] = intval($row['countid']);
  $arrMs[$intYear] += $arrM[$intYear][$intBt]; // total
}

// COUNT USERS

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  // check limits (startdate/enddate)

  if ( $intYear<$intStartyear ) continue;
  if ( $intYear==$intStartyear )
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt<$intStartmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==1 && $intStartmonth>3) || ($intBt==2 && $intStartmonth>6) || ($intBt==3 && $intStartmonth>9) ) {
    continue;
    }}
  }
  if ( $intYear>=$intEndyear ) 
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt>$intEndmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==2 && $intEndmonth<4) || ($intBt==3 && $intEndmonth<8) || ($intBt==4 && $intEndmonth<12) ) {
    continue;
    }}
  }

  // compute per blocktime

  switch(substr($oDB->type,0,5))
  {
  case 'mysql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(issuedate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'mssql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)="'.($intYear*100+$intBt).'"' ); 
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(issuedate,6)<="'.($intYear*100+($intBt*3)).'"' ); 
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' ); 
    break;
  case 'pg':    
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(issuedate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'ibase':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(issuedate FROM 1 FOR 6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'sqlit':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)="'.($intYear*100+$intBt).'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(issuedate,1,6)<="'.($intYear*100+($intBt*3)).'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'")' );
    break;
  case 'acces':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)="'.($intYear*100+$intBt).'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(issuedate,6)<="'.($intYear*100+($intBt*3)).'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'")' );
    break;
  case 'db2':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)="'.($intYear*100+$intBt).'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(issuedate,1,6)<="'.($intYear*100+($intBt*3)).'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'")' );
    break;
  case 'oci':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)="'.($intYear*100+$intBt).'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(issuedate,1,6)<="'.($intYear*100+($intBt*3)).'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'")' );
    break;
  default: die('Unknown db type '.$oDB->type);
  }
  $row = $oDB->Getrow();
  $arrU[$intYear][$intBt] = intval($row['countid']);
}

  // compute total

  switch(substr($oDB->type,0,5))
  {
  case 'mysql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)>="'.$strTendaysago.'"' );
    break;
  case 'mssql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'"' ); 
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'"' ); 
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)>="'.$strTendaysago.'"' ); 
    break;
  case 'pg':    
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,4)="'.$intYear.'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,4)="'.$intYear.'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate,1,8)>="'.$strTendaysago.'"' );
    break;
  case 'ibase':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 4)="'.$intYear.'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 4)="'.$intYear.'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTRING(issuedate FROM 1 FOR 8)>="'.$strTendaysago.'"' );
    break;
  case 'sqlit':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)>="'.$strTendaysago.'")' );
    break;
  case 'acces':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,4)="'.$intYear.'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' LEFT(issuedate,8)>="'.$strTendaysago.'")' );
    break;
  case 'db2':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)>="'.$strTendaysago.'")' );
    break;
  case 'oci':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,4)="'.$intYear.'")' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' SUBSTR(issuedate,1,8)>="'.$strTendaysago.'")' );
    break;
  default: die('Unknown db type '.$oDB->type);
  }  
  $row = $oDB->Getrow();
  $arrUs[$intYear] = intval($row['countid']);

// -----
}
// -----

?>