<?php

// QT-registrations 2.2 build:20090710

// GLOBAL STATISTICS included in:
// qtr_stats_n.php and
// qtr_stats_n_{csv|pdf}.php

include('bin/qt_lib_graph.php');

// Initialise array values. When a value is missing the display will show &middot;

if ( !isset($intStartyear) )
{
  $oDB->Query( 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC );
  $row = $oDB->Getrow();
  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';
  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');
  $intStartyear = intval(substr($row['startdate'],0,4));
  $intStartmonth = intval(substr($row['startdate'],4,2));
  $intEndyear = intval(date('Y'));
  $intEndmonth = intval(date('n'));
}

switch($ch['time'])
{
case 'q': $intMaxBt=4; break;
case 'm': $intMaxBt=12; break;
case 'd': $intMaxBt=10; break;
default: die('Invalid blocktime');
}

$intCurrentYear = $intYear;
$strCurrentTendaysago = $strTendaysago;

// Here series are not years but dataset 0,1,2,3,'S','C'
$arrA = array(); // Abscise
$arrT = array(); // Topics,   ($arrT can have null)
$arrTs = array(); // Topics sum
foreach(array(0,1,2,3,'S','C') as $intSerie)
{
  $arrT[$intSerie] = array();
  switch($ch['time'])
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]='Q'.$i;                                        $arrT[$intSerie][$i]=null; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]=$L['dateMM'][$i];                              $arrT[$intSerie][$i]=null; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $arrA[$i]=substr(DateAdd($strTendaysago,$i,'day'),-2,2); $arrT[$intSerie][$i]=null; } break;
  }
  $arrTs[$intSerie] = 0;
}

// 0-3-'S' COUNT SUMS

foreach($_SESSION[QT]['statF'] as $intKey=>$strNumericField) {
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) {

  // check limits (startdate/enddate)

  if ( $intYear<$intStartyear ) continue;
  if ( $intYear==$intStartyear )
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt<$intStartmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==1 && $intStartmonth>3) || ($intBt==2 && $intStartmonth>6) || ($intBt==3 && $intStartmonth>9) ) {
    continue;
    }}
  }
  if ( $intYear>=$intEndyear ) 
  {
    if ( $ch['time']=='m' ) {
    if ( $intBt>$intEndmonth ) {
    continue;
    }}
    if ( $ch['time']=='q' ) {
    if ( ($intBt==2 && $intEndmonth<4) || ($intBt==3 && $intEndmonth<8) || ($intBt==4 && $intEndmonth<12) ) {
    continue;
    }}
  }

  // compute per blocktime

  switch(substr($oDB->type,0,5))
  {
  case 'mysql': 
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(t.firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'mssql':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND ISNUMERIC(d.fieldvalue)=1 AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND ISNUMERIC(d.fieldvalue)=1 AND LEFT(t.firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(t.firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND ISNUMERIC(d.fieldvalue)=1 AND LEFT(t.firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'pg':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND d.fieldvalue SIMILAR TO "^[0-9]+$" AND SUBSTRING(t.firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND d.fieldvalue SIMILAR TO "^[0-9]+$" AND SUBSTRING(t.firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(t.firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND d.fieldvalue SIMILAR TO "^[0-9]+$" AND SUBSTRING(t.firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'ibase':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as int)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTRING(t.firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as int)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTRING(t.firstpostdate FROM 1 FOR 6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(t.firstpostdate FROM 1 FOR 6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as int)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTRING(t.firstpostdate FROM 1 FOR 8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'sqlit':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(t.firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'acces':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(t.firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LEFT(t.firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'db2':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(t.firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(d.fieldvalue) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND SUBSTR(t.firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  case 'oci':
    if ( $ch['time']=='m') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LENGTH(TRIM(TRANSLATE(d.fieldvalue," +-.0123456789"," "))) IS NULL AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
    if ( $ch['time']=='q') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LENGTH(TRIM(TRANSLATE(d.fieldvalue," +-.0123456789"," "))) IS NULL AND SUBSTR(t.firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(t.firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
    if ( $ch['time']=='d') $oDB->Query( 'SELECT sum(cast(d.fieldvalue as integer)) as countid FROM '.TABDATA.' d INNER JOIN '.TABTOPIC.' t ON d.id=t.id WHERE '.(empty($strSection) ? '' : 't.'.$strSection).' d.fieldid="'.$strNumericField.'" AND LENGTH(TRIM(TRANSLATE(d.fieldvalue," +-.0123456789"," "))) IS NULL AND SUBSTR(t.firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
    break;
  default: die('Unknown db type '.$oDB->type);
  }
  $row = $oDB->Getrow();
  $arrT[$intKey][$intBt] = intval($row['countid']);
  $arrTs[$intKey] += $arrT[$intKey][$intBt];  
  if ( !isset($arrT['S'][$intBt]) ) $arrT['S'][$intBt]=0;
  $arrT['S'][$intBt] += $arrT[$intKey][$intBt];

}}

$arrTs['S'] = array_sum($arrT['S']);

// 'C' COUNT TOPICS

if ( $_SESSION[QT]['statC'] )
{
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    // check limits (startdate/enddate)

    if ( $intYear<$intStartyear ) continue;
    if ( $intYear==$intStartyear )
    {
      if ( $ch['time']=='m' ) {
      if ( $intBt<$intStartmonth ) {
      continue;
      }}
      if ( $ch['time']=='q' ) {
      if ( ($intBt==1 && $intStartmonth>3) || ($intBt==2 && $intStartmonth>6) || ($intBt==3 && $intStartmonth>9) ) {
      continue;
      }}
    }
    if ( $intYear>=$intEndyear ) 
    {
      if ( $ch['time']=='m' ) {
      if ( $intBt>$intEndmonth ) {
      continue;
      }}
      if ( $ch['time']=='q' ) {
      if ( ($intBt==2 && $intEndmonth<4) || ($intBt==3 && $intEndmonth<8) || ($intBt==4 && $intEndmonth<12) ) {
      continue;
      }}
    }

    // compute per blocktime

    switch(substr($oDB->type,0,5))
    {
    case 'mysql': 
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'mssql':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'pg':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'ibase':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTRING(firstpostdate FROM 1 FOR 6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTRING(firstpostdate FROM 1 FOR 8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'sqlit':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'acces':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,6)>"'.($intYear*100+($intBt-1)*3).'" AND LEFT(firstpostdate,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND LEFT(firstpostdate,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'db2':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    case 'oci':
      if ( $ch['time']=='m') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)="'.($intYear*100+$intBt).'"' );
      if ( $ch['time']=='q') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,6)>"'.($intYear*100+($intBt-1)*3).'" AND SUBSTR(firstpostdate,1,6)<="'.($intYear*100+($intBt*3)).'"' );
      if ( $ch['time']=='d') $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE '.$strSection.' type="T" AND SUBSTR(firstpostdate,1,8)="'.(DateAdd($strTendaysago,$intBt,'day')).'"' );
      break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    $arrT['C'][$intBt] = intval($row['countid']);
    $arrTs['C'] += $arrT['C'][$intBt];
  }
}

?>