<?php

// QT-registrations 2.2 build:20090710

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanView('V4') ) $oVIP->EndMessage('!',Error(11),$_SESSION[QT]['skin_dir'],0);

include(Translate('qtr_stat.php'));

// CHECK if data selected

if ( !isset($_SESSION[QT]['statF'][0]) )
{
  $oVIP->exiturl = 'qtr_stats.php';
  $oVIP->EndMessage('CSV','No data...',$_SESSION[QT]['skin_dir'],3);
}

// --------
// INITIALISE
// --------

$oSYS->output='print';

$strCSV = '';

$s = -1;   // section filter
$intYear = date('Y'); if ( intval(date('n'))<2 ) $intYear--; // year filter
$tag = ''; // tags filter
$tt = 'g'; // tab: g=global, gt=globaltrend, d=detail, dt=detailtrend
$ch = array('time'=>'m','type'=>'b','value'=>'a','trend'=>'a'); // chart parameters
// [0] blocktime: m=month, q=quarter, d=10days 
// [1] graph type: b=bar, l=line, B=bar+variation, L=line+variation
// [2] graphics reals: a=actual, p=percent
// [3] trends reals: a=actual, p=percent

// --------
// SUBMITTED
// --------
  
if ( isset($_GET['y']) ) $intYear = intval($_GET['y']);
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'forum='.$s.' AND'; } else { $strSection=''; }
if ( isset($_GET['tag']) ) $tag = strip_tags($_GET['tag']);
  $strTags = '';
  if ( !empty($tag) )
  {
    if ( substr($tag,-1,1)==';' ) $tag = substr($tag,0,-1); 
    $arrTags = explode(';',$tag);
    $str = '';
    foreach($arrTags as $strTag)
    {
    if ( !empty($str) ) $str .= ' OR ';
    $str .= 'UPPER(tags) LIKE "%'.strtoupper($strTag).'%"';
    }
    if ( !empty($str) ) $strTags = ' ('.$str.') AND';
  }
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_GET['ch']) )
{
  $str = strip_tags($_GET['ch']);
  if ( strlen($str)>0 ) $ch['time'] = substr($str,0,1); // blocktime
  if ( strlen($str)>1 ) $ch['type'] = substr($str,1,1); // graph type
  if ( strlen($str)>2 ) $ch['value'] = substr($str,2,1); // value type
  if ( strlen($str)>3 ) $ch['trend'] = substr($str,3,1); // trends value type
}

// ------
// OUTPUT
// ------

$arrYears = array($intYear);

include('qtr_stats_inc_n.php');

// Table header

$strCSV .= '"'.$intYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)).'"<br/>';
$strCSV .= '" ";';

switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"Q'.$i.'";'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.$L['dateMM'][$i].'";'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.QTdatestr(DateAdd($strTendaysago,$i,'day'),'d M','').'";'; } break;
}
$strCSV .= '"'.($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

// Table body

foreach($_SESSION[QT]['statF'] as $intKey=>$strNumericField)
{
  $strCSV .= '"'.ObjTrans('field',$strNumericField).'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $strCSV .= (isset($arrT[$intKey][$intBt]) ? $arrT[$intKey][$intBt] : '0').';'; }
  $strCSV .= $arrTs[$intKey].'<br/>';
}
if ( $_SESSION[QT]['statS'] )
{
  $strCSV .= '"'.$L['Total'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $strCSV .= (isset($arrT['S'][$intBt]) ? $arrT['S'][$intBt] : '0').';'; }
  $strCSV .= $arrTs['S'].'<br/>';
}
if ( $_SESSION[QT]['statC'] )
{
  $strCSV .= '"'.$L['Topics'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $strCSV .= (isset($arrT['C'][$intBt]) ? $arrT['C'][$intBt] : '0').';'; }
  $strCSV .= $arrTs['C'].'<br/>';
}

// Export

if ( !headers_sent() )
{
  $strCSV = str_replace('<br/>',"\r\n",$strCSV);
  header('Content-Type: text/csv; charset='.QTR_HTML_CHAR);
  header('Content-Disposition: attachment; filename="global_stat_'.$intYear.'.csv"');
}

echo $strCSV;

?>