<?php

// QT-registerations 2.2 build:20090710

class cLang
{

// --- [i] ---

function Add($strType='',$strLang='en',$strId='',$strName='',$bCheck=false)
{
  // Check

  if ( !is_string($strType) || empty($strType) ) die('cLang->Add: Argument #1 must be a string');
  if ( !is_string($strLang) || empty($strLang) ) die('cLang->Add: Argument #2 must be a string');
  if ( !is_string($strId) || empty($strId) ) die('cLang->Add: Argument #3 must be a string');
  if ( !is_string($strName) || empty($strName) ) die('cLang->Add: Argument #4 must be a string');

  // Process

  global $oDB;

  if ( $bCheck )
  {
  $oDB->Query('SELECT count(objid) AS countid FROM '.TABLANG.' WHERE objtype="'.$strType.'" AND objlang="'.strtolower($strLang).'" AND objid="'.$strId.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']!=0 ) return False;
  }
  $oDB->Query('INSERT INTO '.TABLANG.' (objtype,objlang,objid,objname) VALUES ("'.$strType.'","'.strtolower($strLang).'","'.$strId.'","'.addslashes(QTconv($strName,'3',QTR_CONVERT_AMP,false)).'")');
  return true;
}

// --- [i] ---

function Delete($strType='',$strId='')
{
  // Check
  
  if ( is_array($strType) ) $strType = implode('" OR objtype="',$strType);
  if ( !is_string($strType) || empty($strType) ) die('cLang->Delete: Argument #1 must be a string');
  if ( !is_string($strId) || empty($strId) ) die('cLang->Delete: Argument #2 must be a string');

  // Process

  global $oDB;

  $oDB->Query( 'DELETE FROM '.TABLANG.' WHERE (objtype="'.$strType.'") AND objid="'.$strId.'"' );
}

// --- [i] ---

function GetNames($strType='',$strLang='en',$strId='*')
{
  DieArg('cLang->GetName',array($strType,$strLang,$strId));
  DieArg('cLang->GetName',array($strType,$strLang,$strId),'empty');

  // Process

  global $oDB;

  if ( $strId==='*' )
  {
    $arr = array();
    $oDB->Query('SELECT objid,objname FROM '.TABLANG.' WHERE objtype="'.$strType.'" AND objlang="'.strtolower($strLang).'"');
    while($row=$oDB->Getrow())
    {
      if ( !empty($row['objname']) ) $arr[$row['objid']] = $row['objname'];
    }
    return $arr;
  }
  else
  {
    $oDB->Query('SELECT objname FROM '.TABLANG.' WHERE objtype="'.$strType.'" AND objlang="'.strtolower($strLang).'" AND objid="'.$strId.'"');
    $row=$oDB->Getrow();
    if ( !empty($row['objname']) ) return $row['objname'];
    return '';
  }
}

// --- [i] ---

// Get an array with the object's translations (key is the iso-lang)
// In case of list, the translations are in the field objname with ; as separator

function GetTrans($strType='',$strId='')
{
  DieArg('cLang->GetTrans',array($strType,$strId));
  DieArg('cLang->GetTrans',array($strType,$strId),'empty');

  global $oDB;
  $arr = array();
  $oDB->Query('SELECT objlang,objname FROM '.TABLANG.' WHERE objtype="'.$strType.'" AND objid="'.$strId.'"');
  while($row=$oDB->Getrow())
  {
    $arr[$row['objlang']]=$row['objname'];
  }
  return $arr;
}

// --------

}

?>