<?php

// QT-registerations 2.2 build:20090710

function HtmlHead($strRoot='',$strSkin='',$arrCss=array(),$strHeadScript='',$bJava=true,$intBbc=0,$bIE=false)
{

if ( empty($strSkin) ) $strSkin = $_SESSION[QT]['skin_dir'];
if ( !is_array($arrCss) ) $arrCss = array();

echo QTR_HTML_DTD,'
<html xmlns="http://www.w3.org/1999/xhtml" dir="',QTR_HTML_DIR,'" xml:lang="',QTR_HTML_LANG,'">
<head>
<title>',$_SESSION[QT]['site_name'],'</title>
<meta http-equiv="content-type" content="text/html; charset=',QTR_HTML_CHAR,'"/>
<link rel="shortcut icon" href="',$strRoot,$strSkin,'/qtr_icon.ico"/>
<link rel="stylesheet" type="text/css" href="',$strRoot,$strSkin,'/qtr_main.css" title="cssmain"/>
';

foreach($arrCss as $strCss) {
switch($strCss) {
  case 'qtr_contrast.css': echo '<link rel="alternate stylesheet" type="text/css" href="bin/css/qtr_contrast.css" title="cssalternate"/>',"\n"; break;
  case 'qtr_main.css':     echo '<link rel="stylesheet" type="text/css" href="',$strRoot,$strSkin,'/',$strCss,'" title="cssmain"/>',"\n"; break;
  case 'qtr_main2.css':    echo '<link rel="stylesheet" type="text/css" href="',$strRoot,$strSkin,'/',$strCss,'" title="cssmain"/>',"\n"; break;
  default:                 echo '<link rel="stylesheet" type="text/css" href="',$strRoot,$strSkin,'/',$strCss,'"/>',"\n"; break;
}}

if ( !empty($strHeadScript) ) echo $strHeadScript;

if ( $intBbc>0 && $_SESSION[QT]['bbc']!='0' )
{
echo '<script type="text/javascript">
<!--
';
include($strRoot.'bin/qt_jbbc.js');
echo '
-->
</script>
';
}
if ( $bJava )
{
echo '<script type="text/javascript">
<!--
';
include($strRoot.'bin/qtr_j_common.js');
echo '
-->
</script>
';
}
if ( $bIE ) echo '<!--[if IE 5]><style type="text/css">.p_post_code{width:500px} .upper{text-transform:none;}</style><![endif]-->
<!--[if IE 6]><style type="text/css">.p_post_code{width:500px} .upper{text-transform:none;}</style><![endif]-->
';

echo '</head>
';

}

// --------

function HtmlPageCtrl($intType=0,$strWidth='')
{

if ( empty($strWidth) ) $strWidth=$_SESSION[QT]['site_width'];
switch($intType)
{
case 0: echo '
<!-- PAGE CONTROL -->
<div class="qtr_page">
<table class="qtr_page" width="',$strWidth,'" cellspacing="0"><tr class="qtr_page"><td class="qtr_page">
<!-- PAGE CONTROL -->
';
break;
case 1: echo '
<!-- END PAGE CONTROL -->
</td></tr></table>
</div>
<!-- END PAGE CONTROL -->
';
break;
}

}

// --------

function HtmlBanner($intType=0,$strSkin='',$strLogo='',$strLangMenu='')
{

if ( empty($strSkin) ) $strSkin=$_SESSION[QT]['skin_dir'];
if ( empty($strLogo) ) $strLogo='qtr_logo.gif';

switch($intType)
{
case 0: echo '
<!-- BANNER -->
<div class="banner"><div class="banner_in">
<table class="hidden" cellspacing="0"><tr class="hidden">
<td class="hidden" id="banner_zl"><img id="banner_logo" src="',$strSkin,'/',$strLogo,'" alt="',QTconv($_SESSION[QT]['site_name']),'" title="',QTconv($_SESSION[QT]['site_name']),'"/></td>
<td class="hidden" id="banner_zr">',$strLangMenu,'</td>
</tr></table></div></div>
<!-- END BANNER -->
';
break;
case 1: echo '
<!-- NOBANNER -->
<table class="hidden" cellspacing="0"><tr class="hidden">
<td id="nobanner_zl">&nbsp;</td>
<td id="nobanner_zr">&nbsp;',$strLangMenu,'</td>
</tr></table>
<!-- END NOBANNER -->
';
break;
case 2: echo '
<!-- BANNER -->
<div class="banner">
<div class="banner_in">
<img id="banner_logo" src="',$strSkin,'/',$strLogo,'" width="175" height="50" style="border-width:0" alt="QT-registerations" title="QT-registerations"/>
</div>
</div>
<!-- END BANNER -->
';
break;
}

}

// --------

function HtmlDataRow($L,$strForm='T',$arrField='',$strValue='',$tt='')
{
  // $strForm T=Text, F=Form, D=Disabled form, 0=Empty row with none...

  if ( $strForm=='0' )
  {
  echo '<tr class="field"><td class="field disabled" colspan="3">'.$L['None'].'...</td></tr>';
  return;
  }

  // check arguments

  if ( !is_string($strForm) || empty($strForm) ) die('HtmlDataRow: Argument #1 must be a string');
  if ( !is_array($arrField) ) die('HtmlDataRow: Argument #2 must be an array');
  if ( !is_string($strValue) ) die('HtmlDataRow: Argument #3 must be a string'); // can be empty
  if ( !is_string($tt) || empty($tt) ) die('HtmlDataRow: Argument #4 must be a string');

  $strField = $arrField['fieldid'];

  // default value and helptips (only in form mode, and not for popup)

  $strHelpTips = '';
  if ( $arrField['fielddefault']=='1' && empty($strValue) && $strForm!='T' && $arrField['fieldtype']!='P' )
  {
    $strValue = $arrField['default'];
    $strHelpTips = ' <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_default'].'">'.$L['i'].'</abbr>';
  }

  // display the row

  echo '<tr class="field">
  <td class="field fieldname">',ObjTrans('field',$strField),'</td>
  <td class="field ',($strForm!='F' ? 'fieldtext' : 'fieldform'),'">';
  
  switch(strtoupper($arrField['fieldtype']))
  {

  case 'L':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<textarea id="',$strField,'" name="',$strField,'" class="small" style="width:345px" rows="3" cols="28" onchange="bEdited=true;"/>',$strValue,'</textarea>',$strHelpTips;
    if ( $strForm=='D' ) echo '<textarea id="',$strField,'" name="',$strField,'" class="small" style="width:345px" rows="3" cols="28"/>',$strValue,'</textarea>',$strHelpTips;
    break;

  case 'C':

    if ( $strValue!='' && $strValue!='0' && $strValue!='1' )  echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>';
    if ( $strForm=='T' ) echo (empty($strValue) ? '' : $L['Y']).'&nbsp;';
    if ( $strForm=='F' ) echo '<input type="checkbox" id="',$strField,'" name="',$strField,'"',(empty($strValue) ? '' : QCHE),' value="1" onchange="bEdited=true;"/><label for="',$strField,'">Yes</label>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input type="checkbox" id="',$strField,'" name="',$strField,'"',(empty($strValue) ? '' : QCHE),'"valur="1"/><label for="',$strField,'">Yes</label>',$strHelpTips;
    break;

  case 'D': // this is d (date) or D (date+time)

    // check existing value
    if ( !empty($strValue) )
    {
      if ( !QTisvaliddate(substr($strValue,0,8),true,true,false) ) { echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>'; $strValue=''; }
    }
    // format existing value
    if ( !empty($strValue) )
    {
      if ( $arrField['fieldtype']=='d' && $strForm=='T' ) $strValue = QTdatestr($strValue,'$','');
      if ( $arrField['fieldtype']=='D' && $strForm=='T' ) $strValue = QTdatestr($strValue,'$','$');
      if ( $arrField['fieldtype']=='d' && $strForm!='T' ) $strValue = AsDateInput($strValue);
      if ( $arrField['fieldtype']=='D' && $strForm!='T' ) { $strValueTime = AsDateInput($strValue,'time'); $strValue = AsDateInput($strValue); }
    }
    // display
    if ( $strForm=='T' ) echo $strValue.'&nbsp;';  
    if ( $strForm=='F' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" maxlength="10" value="',$strValue,'" onchange="bEdited=true;"/>';
      echo '<a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
      if ( $arrField['fieldtype']=='D' )
      {
      echo ' <input type="text" class="small" id="',$strField,'_time" name="',$strField,'_time" size="5" maxlength="8" value="',(isset($strValueTime) ? $strValueTime : ''),'"/><a href="#" onclick="document.getElementById(\'',$strField,'_time\').value=\'',date('H:i'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a>';
      }
      echo '&nbsp; <span class="small">(',$L['H_Eventdate'],($arrField['fieldtype']=='D' ? ' '.$L['H_Eventtime'] : ''),')</span>';
      echo '
      <script type="text/javascript">
      <!--
      $(document).ready(function() {
        $("#'.$strField.'").datepicker({ firstDay: 1, dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"]});
      });
      -->
      </script>
      ';
    }
    if ( $strForm=='D' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" maxlength="10" value="',($arrField['fielddefault']=='1' && empty($strValue) ? $arrField['default'] : $strValue),'"/>';
      echo '<a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
      if ( $arrField['fieldtype']=='D' )
      {
      echo '&nbsp; <input type="text" class="small" id="',$strField,'_time" name="',$strField,'_time" size="5" maxlength="8" value="',(isset($strValueTime) ? $strValueTime : ''),'"/><a href="#" onclick="document.getElementById(\'',$strField,'_time\').value=\'',date('H:i'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a>';
      }
      echo '&nbsp; <span class="small">(',$L['H_Eventdate'],($arrField['fieldtype']=='D' ? ' '.$L['H_Eventtime'] : ''),')</span>';
    }
    break;

  case 'T':

    if ( !empty($strValue) ) 
    {
      if ( !QTisvalidtime(substr($strValue,0,8),false) ) { echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>'; $strValue=''; }
    }
    // value format
    if ( !empty($strValue) ) $strValue = QTtime($strValue,$_SESSION[QT]['formattime']);
    // form format
    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) 
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" value="',$strValue,'" onchange="bEdited=true;"/><a href="#" onclick="bEdited=true; document.getElementById(\'',$strField,'\').value=\'',QTtime('now',$_SESSION[QT]['formattime']),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a> '.$strHelpTips.'&nbsp; <span class="small">(',$L['H_Eventtime'],')</span>';
    }
    if ( $strForm=='D' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" value="',$strValue,'"/><a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',QTtime('now',$_SESSION[QT]['formattime']),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a> '.$strHelpTips.'&nbsp; <span class="small">(',$L['H_Eventtime'],')</span>';
    }
    break;

  case 'P':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm!='T' )
    {
      // popup values (start with the current value and empty value)
      $arrPops = array();
      $arrPops[$strValue]=$strValue; // check if QTconv is required ???
      $arrPops[' ']=' ';
      if ( !empty($arrField['default']) ) { $arr = explode(';',$arrField['default']); } else { $arr = array(); }
      foreach($arr as $str) { if ( $str!=$strValue ) $arrPops[$str]=$str; }
      $arrPops['[...]']='['.$L['Other'].'...]';
      // display
      echo '<select id="',$strField,'" name="',$strField,'" class="small" style="width:335px"',($strForm=='D' ? QDIS : ''),' onchange="bEdited=true; if (this.value==\'[...]\') { document.getElementById(\'+',$strField,'\').style.visibility=\'visible\'; document.getElementById(\'+',$strField,'\').style.width=\'245px\'; document.getElementById(\'',$strField,'\').style.width=\'100px\'; } else { document.getElementById(\'+',$strField,'\').style.visibility=\'hidden\'; document.getElementById(\'+',$strField,'\').style.width=\'5px\'; document.getElementById(\'',$strField,'\').style.width=\'335px\'; }">',QTasOption($arrPops),'</select>';
      echo '<input type="text" id="+',$strField,'" name="+',$strField,'" class="small" style="width:5px;visibility:hidden" type="text" maxlength="255" value=""/>';
    }
    break;

  case 'N':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" type="text" size="6" maxlength="14" value="',(empty($strValue) ? '0' : $strValue),'" onchange="bEdited=true;"/>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" type="text" size="6" maxlength="14" value="',(empty($strValue) ? '0' : $strValue),'"/>',$strHelpTips;
    break;

  default:

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" style="width:345px" type="text" maxlength="100" value="',$strValue,'" onchange="bEdited=true;"/>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" style="width:345px" type="text" maxlength="100" value="',$strValue,'"/>',$strHelpTips;
  }

  echo '</td>
  <td class="field fieldhelp">',ObjTrans('fielddesc',$strField,false),'&nbsp;</td>
  </tr>
  ';

}

// --------

function HtmlPage($e=0)
{

global $oSYS,$oVIP,$L;
include('qtr_p_header.php');

if ( $e==99 )
{
$strFile = Translate('sys_offline.txt'); if ( file_exists($strFile) ) { include($strFile); } else { echo Error(10); }
}
else
{
HtmlMsg(0); echo Error($e); HtmlMsg(1);
}

include('qtr_p_footer.php');
exit;

}

// --------

function HtmlMsg($intType=0,$strWidth='',$strTitleId='',$strTitle='',$strBodyId='',$strBody='')
{

if ( empty($strWidth) ) $strWidth='350px';

switch($intType)
{
case 0: echo '
<div class="msgbox" style="width:',$strWidth,'">
<div class="msgboxtitle"',(empty($strTitleId) ? '' : ' id="'.$strTitleId.'"'),'>',$strTitle,'</div>
<div class="msgboxbody"',(empty($strBodyId) ? '' : ' id="'.$strBodyId.'"'),'>',(empty($strBody) ? '' : $strBody),'
';
break;
case 1: echo '
</div>
</div>
';
break;
}

}

// --------

function HtmlTabs($arrTabs=array(0=>'Empty'),$strUrl='', $strCurrent='',$intMax=6,$bFirst=true,$bLast=true,$strWarning='Data not yet saved. Quit without saving?')
{

// tabx means the last tab (can be special due to popup)
// if defined, the class/style tab_on replaces the class/style tab (but you can cumulate the classes in the definition)
// if defined, the class/style tabx_on replaces the class/style tabx (but you can cumulate the styles in the definition)
// When strCurrent is defined, this tab will not be clickable
// $arrTabs can be an array of: strings, arrays, cTab


$iCurrent=1;
foreach(array_keys($arrTabs) as $strKey)
{
  if ($strKey==$strCurrent) break;
  $iCurrent++;
}

// check

if ( !is_array($arrTabs) ) die('HtmlTabs: Argument #1 must be an array');
if ( !empty($strUrl) ) { if ( !strstr($strUrl,'?') ) $strUrl .= '?'; }

// display

echo'
<!-- tab header begin -->
<table cellspacing="0" class="tab">
';

$strOuts=''; $strOut=''; $intRow=0; $intCol=0;
foreach($arrTabs as $strKey=>$oTab)
{
  if ( $intCol==0 )
  {
    $strOut = '<tr class="tab">'."\n";
    if ( $bFirst ) $strOut .= '<td class="tab '.($intRow==0 ? 'tab_begin' : 'tab_hidden').'">&nbsp;</td>'."\n";
    $intCol++;
  }
  if ( $intCol>0 )
  {
    $strTab = '';
    $strTabDesc = '';
    // extract name and description from the object in arrTabs: can be a string, an array or a cTab
    if ( is_string($oTab) )
    {
      $strTab = $oTab;
    }
    elseif ( is_array($oTab) )
    {
      if ( isset($oTab['tabdesc']) )
      {
        if ( !empty($oTab['tabdesc']) ) $strTabDesc = $oTab['tabdesc'];
      }
      if ( isset($oTab['tabname']) )
      {
        if ( !empty($oTab['tabname']) ) { $strTab=$oTab['tabname']; } else { $strTab=ObjTrans('tab',$strKey); }
      }
      else
      {
        $strTab=ObjTrans('tab',$strKey);
      }
    }
    elseif ( strtolower(get_class($oTab))=='ctab' )
    {
      $strTabDesc = $oTab->tabdesc;
      $strTab = $oTab->tabname; if ( empty($strTab) ) $strTab = $oTab->tabid;
    }
    else
    {
      die('HtmlTabs: Arg #1 must be an array of strings, arrays or cTab');
    }
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_l">&nbsp;</td>';
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_c">';
    if ( empty($strUrl) || $strCurrent==$strKey )
    {
    $strOut .=  $strTab;
    }
    else
    {
    $strOut .=  '<a class="tab" href="'.$strUrl.'&amp;tt='.$strKey.'"'.(empty($strTabDesc) ? '' : ' title="'.$strTabDesc.'"').' onclick="return qtEdited(bEdited,\''.$strWarning.'\');">'.$strTab.'</a>';
    }
    $strOut .= '</td>';
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_r">&nbsp;</td>'."\n";
    $intCol++; 
  }
  if ( $intCol>$intMax || $intCol>count($arrTabs) )
  {
    if ( $bLast ) $strOut .= '<td class="'.($intRow==0 ? 'tab tab_end' : 'hidden').'">&nbsp;</td>'."\n";
    $strOut .= '</tr>'."\n";
    $intCol=0;
    $strOuts = $strOut.$strOuts;
    $intRow++;
  }
}
if ( $intCol>0 )
{
  while($intCol<=$intMax) { $strOut .= '<td class="tab tab_a">&nbsp;</td>'; $intCol++; }
  if ( $bLast ) $strOut .= '<td class="tab'.($intRow==0 ? ' tab_end' : ' tab_hidden').'">&nbsp;</td>'."\n";
  $strOut .= '</tr>';
  $strOuts = $strOut.$strOuts;
}
echo $strOuts;

echo '
</table>
<!-- tab header end -->
';
}

// --------

function TableHeader($arrFields,$intCount=0,$strUrl='',$strOrd='lastpostdate',$strDir='DESC',$strClass='th_t')
{

/**
 * TableHeader
 *
 * @arrFields Array of fields. Each field can be definied by the arraykeys: sort,text,thclass,thstyle
 * @intCount Number of row (if <=2, columns are not sortable)
 * @strUrl sorting url (without order nor dir arguments)
 * @strOrd initial order field
 * @strDir initial order direction
 */

// Default initial order direction is DESC. Here are the well known exceptions using ASC
$arrASC = array('icon','status','title','section','sectiontitle','name','role','location','firstpostname','actorname','notifiedname');

if ( empty($strOrd) ) die('TableHeader: Wrong parameter #4, expect a string (fieldname)');
if ( empty($strDir) ) { $strDir='DESC'; if ( in_array($strOrd,$arrASC) ) $strDir='ASC'; }

foreach($arrFields as $strKey=>$arrVal)
{
  if ( !isset($arrVal['sort']) ) $arrVal['sort']=FALSE;
  if ( !isset($arrVal['text']) ) $arrVal['text']=S;
  if ( !isset($arrVal['thclass']) ) $arrVal['thclass']='';
  if ( !isset($arrVal['thstyle']) ) $arrVal['thstyle']='';
  if ( $arrVal['sort'] && $intCount>2 )
  {
    if ( $strOrd==$strKey ) 
    {
    $arrVal['text'] = '<a href="'.$strUrl.'&amp;order='.$strKey.'&amp;dir='.QTinvert($strDir).'" class="'.$strClass.'">'.$arrVal['text'].'</a> <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_'.strtolower($strDir).'.gif" alt="'.($strDir=='ASC' ? '+' : '-').'"/>';
    }
    else
    {
    $arrVal['text'] = '<a href="'.$strUrl.'&amp;order='.$strKey.'&amp;dir='.(in_array($strKey,$arrASC) ? 'ASC' : 'DESC').'" class="'.$strClass.'">'.$arrVal['text'].'</a>';
    }
  }
  echo '<td',(empty($arrVal['thclass']) ? '' : ' class="'.$arrVal['thclass'].'"'),(empty($arrVal['thstyle']) ? '' : ' style="'.$arrVal['thstyle'].'"'),'>',$arrVal['text'],'</td>',N;
}

}

// ----------------

function TableRow($arrFields,$row,$bTopic=false,$oSEC,$strAlt='r1',$strExtra='N',$bMap=false)
{

// SETUP
  
global $oVIP,$oSYS,$L,$arrExtData;
if ( $bTopic ) $oTopic = new cTopic($row);
if ( isset($arrFields['numid']) ) { $strSectionNumfield='N'; if ( isset($oSEC) ) $strSectionNumfield=$oSEC->numfield; if ( isset($row['numfield']) ) $strSectionNumfield=$row['numfield']; }
if ( isset($arrFields['smile']) ) { $strSectionPrefix=''; if ( isset($oSEC) ) $strSectionPrefix=$oSEC->prefix; if ( isset($row['prefix']) ) $strSectionPrefix=$row['prefix']; }
if ( isset($arrFields['you']) ) { if ( $oTopic->replies>0 && $oVIP->numpost>0 && $oVIP->id>0 ) { global $oDB2; $oDB2->Query('SELECT count(id) as countid FROM '.TABPOST.' WHERE topic='.$oTopic->id.' AND userid='.$oVIP->id); $row2 = $oDB2->Getrow();   if ( $row2['countid']!=0 ) $oTopic->youreply = '<span title="'.$L['You_reply'].'"><b>&reg;</b></span>'; } }
if ( isset($arrFields['sectiontitle']) ) { if ( isset($oSYS->sections[$oTopic->section]) ) { $strSectiontitle = $oSYS->sections[$oTopic->section]; } else { $strSectiontitle='untitled'; } }
if ( isset($arrFields['tags']) )
{
  $strTags = '';
  $strAbbr = '';
  if ( empty($oTopic->tags) ) { $arrTags=array(); } else { $arrTags=explode(';',$oTopic->tags); }
  if ( count($arrTags)>1 )
  {
    for ($i=0;$i<count($arrTags);$i++)
    {
      if ( $i<3 ) $strTags .= $arrTags[$i].';';
      if ( $i>=3 ) $strAbbr .= $arrTags[$i].';';
      if ( $i>13 ) break;
    }
  }
  else
  {
    $strTags = $oTopic->tags;
  }
  $strTags = str_replace(';',' ',$strTags.(empty($strAbbr) ? '' : '<abbr title="'.$strAbbr.'">...</abbr>'));
}

// when searching in posts without title, use this to report empty title
if ( isset($arrFields['title']) )
{
  if ( trim($oTopic->title)=='' ) $oTopic->title='('.strtolower($L['Reply']).')';
  if ( empty($oTopic->title) && $oTopic->title!='0' ) $oTopic->title='('.strtolower($L['Reply']).')';
}

// icon
if ( isset($arrFields['icon']) )
{
  if ( $oTopic->type=='A' )
  {
    $strTicon = $_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif';
    $strTname = $L['Ico_topic_a_0'];
  }
  else
  {
    if ( isset($oSYS->statuses[$oTopic->status]['statusname']) )
    {
    $strTicon = $_SESSION[QT]['skin_dir'].'/'.$oSYS->statuses[$oTopic->status]['icon'];
    $strTname = $oSYS->statuses[$oTopic->status]['statusname'];
    }
    else
    {
    $strTicon = 'admin/ico_status.gif';
    $strTname = 'unknown status';
    }
  }
}

// mail
$strMail='';
if ( isset($arrFields['mail']) || isset($arrFields['location']) )
{
  if ( !empty($row['mail']) )
  {
  if ( $row['privacy']=='2' ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTR_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
  if ( $row['privacy']=='1' && $oVIP->role!='V' ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTR_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
  if ( $oVIP->id==$row['id'] || $oVIP->IsStaff() ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTR_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
  }
}
// www
$strWww='';
if ( isset($arrFields['www']) || isset($arrFields['location']) )
{
  if ($row['www']!='')
  {
  $strWww = '<a href="'.$row['www'].'"><img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_w_1.gif" alt="www" title="web site"/></a>';
  }
}
// coord
$strCoord='';
$strLatLon='';
if ( $bMap && isset($row['y']) && isset($row['x']) )
{
  $y = floatval($row['y']);
  $x = floatval($row['x']);
  if ( !empty($y) && !empty($x) )
  {
    global $bMapGoogle;
    $strCoord = '<a href="javascript:void(0)"'.($bMapGoogle && !$_SESSION[QT]['m_map_hidelist'] ? ' onclick="map.setCenter(new GLatLng('.$y.','.$x.')); return false;"' : '').' title="'.$L['Coord'].': '.round($y,8).','.round($x,8).'"><img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_1.gif" alt="G" title="'.$L['Coord_latlon'].' '.QTdd2dms($y).','.QTdd2dms($x).'"/></a>';
    $strLatLon = QTdd2dms($y).'<br/>'.QTdd2dms($x);
  }
}
if ( $bMap && empty($strCoord) ) $strCoord = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_0.gif" alt="G" title="No coordinates"/>';

// map points

if ( $bMap ) {
if ( !empty($oTopic->y) && !empty($oTopic->x) ) {
  $str = AsImg($strTicon,'T',$strTname,'ico ico_t').' '.( $strSectionNumfield=='N' ? '' : sprintf($strSectionNumfield,$oTopic->numid) );
  $str .= '<p class="small">'.QTconv(substr($oTopic->title,0,50),'3',QTR_CONVERT_AMP);
  $str .= '<br/>'.$L['By'].' '.QTconv($oTopic->firstpostname).' ('.QTdatestr($oTopic->firstpostdate,'$','$',true,true).')<br/>'.LangS('Reply',$oTopic->replies);
  $str .= '<br/><a class="gmap" href="qtr_topic.php?s='.$oTopic->section.'&amp;t='.$oTopic->id.'">'.$L['map']['View_ticket'].' &raquo;</a></p>';
  $oMapPoint = new cMapPoint( floatval($row['y']),floatval($row['x']),( $strSectionNumfield=='N' ? '' : sprintf($strSectionNumfield,$oTopic->numid).' ' ).substr($oTopic->title,0,25),$str );
  if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map'][$oTopic->section]['icon'];
  if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map'][$oTopic->section]['shadow'];
  if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map'][$oTopic->section]['printicon'];
  if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$oTopic->section]['printshadow'];
  $arrExtData[$oTopic->id] = $oMapPoint;
}}

// DISPLAY

switch($oSYS->output)
{

case 'screen':

  echo '<tr class="data_t ',$strAlt,'">',N;
  foreach($arrFields as $strKey=>$arrVal)
  {
    if ( !isset($arrVal['tdclass']) ) $arrVal['tdclass'] = (isset($arrVal['thclass']) ? str_replace('th_','td_',$arrVal['thclass']) : '');
    if ( !isset($arrVal['tdstyle']) ) $arrVal['tdstyle'] = (isset($arrVal['thstyle']) ? $arrVal['thstyle'] : '');
    if ( $strKey=='status' ||  $strKey=='numid' ) {
    if ( strstr($arrVal['tdstyle'],'background-color:%bg') ) {
      $arrVal['tdstyle'] = str_replace('background-color:%bg',(empty($oSYS->statuses[$oTopic->status]['color']) ? '' : 'background-color:'.$oSYS->statuses[$oTopic->status]['color']),$arrVal['tdstyle']);
    }}
    
    echo '<td',(empty($arrVal['tdclass']) ? '' : ' class="'.$arrVal['tdclass'].' '.$strAlt.'"'),(empty($arrVal['tdstyle']) ? '' : ' style="'.$arrVal['tdstyle'].'"'),'>';
    
    switch($strKey)
    {
    case 'icon': echo AsImg($strTicon,'T',$strTname,'ico i_topic','','qtr_topic.php?s='.$oTopic->section.'&amp;t='.$oTopic->id); break;
    case 'numid': echo ( $strSectionNumfield=='N' ? '&nbsp;' : '<span class="span_ref">'.sprintf($strSectionNumfield,$oTopic->numid).'</span>' ); break;
    case 'smile': echo ($oTopic->smile=='00' ? S : AsImg($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$strSectionPrefix.'_'.$oTopic->smile.'.gif','[o]',$L['Ico_prefix'][$strSectionPrefix.'_'.$oTopic->smile],'ico ico_prefix')); break;
    case 'title':
      echo ($oTopic->type=='A' ? '<span class="small">'.$L['News_stamp'].'</span>' : ''),'<a class="topic" href="qtr_topic.php?s=',$oTopic->section,'&amp;t=',$oTopic->id,'"',( !empty($oTopic->preview) ? ' title="'.$oTopic->preview.'"' : ''),'>',$oTopic->title,'</a>';
      if ( !empty($strCoord) ) echo ' '.$strCoord;
      break;
    case 'you':  echo $oTopic->youreply; break;
    case 'sectiontitle': echo ObjTrans('sec','s'.$oTopic->section,$strSectiontitle); break;
    case 'firstpostname': echo '<a href="qtr_usr.php?id=',$oTopic->firstpostuser,'" title="',$L['Ico_user_p_1'],'" class="small">',$oTopic->firstpostname,'</a><br/>',QTdatestr($oTopic->firstpostdate,'$','$',true,true,true); break;
    case 'lastpostdate': echo QTdatestr($oTopic->lastpostdate,'$','$',true,true,true),' <a href="qtr_topic.php?s=',$oTopic->section,'&amp;t=',$oTopic->id,'#p',$oTopic->lastpostid,'" title="',$L['H_Goto_message'],'">',$L['Goto_message'],'</a><br/>',strtolower($L['By']),' <a href="qtr_usr.php?id=',$oTopic->lastpostuser,'" title="',$L['Ico_user_p_1'],'" class="small">',$oTopic->lastpostname,'</a>'; break;
    case 'wisheddate':  echo '<span class="small">',( !empty($oTopic->wisheddate) ? QTdatestr($oTopic->wisheddate,'$','',true,false,true) : $L['None']),'</span>'; break;
    case 'eventdate':  echo '<span class="small">',( !empty($oTopic->eventdate) ? QTdatestr($oTopic->eventdate,'$','',true,false,true) : $L['None']),'</span>'; break;
    case 'status': echo '<span class="small" title="',(empty($oTopic->statusdate) ? '' : QTdatestr($oTopic->statusdate,'d M','H:i',true)),'">',$oSYS->statuses[$oTopic->status]['statusname'],'</span>'; break;
    case 'tags': echo '<span class="tag small">',$strTags,'</span>'; break;
    case 'coord': echo '<span class="tag small">',(empty($strLatLon) ? S : $strLatLon),'</span>'; break;
    case 'actorname': echo '<span class="small">',( $oTopic->actorid>0 ? '<a href="qtr_usr.php?id='.$oTopic->actorid.'" title="'.$L['Userrole_MA'].'" class="small">'.$oTopic->actorname.'</a>' : $L['None']),'</span>'; break;
    case 'notifiedname':echo '<span class="small">',( $oTopic->notifiedid>0 ? '<a href="qtr_usr.php?id='.$oTopic->notifiedid.'" title="'.$L['Userrole_UN'].'" class="small">'.$oTopic->notifiedname.'</a>' : $L['None']),'</span>'; break;
    case 'photo': echo (empty($row['photo']) ? S : AsImg((empty($row['photo']) ? '' : QTR_DIR_PIC.$row['photo']),'',$row['name'],'imagelist','','qtr_usr.php?id='.$row['id']) ); break;
    case 'name': echo '<a href="qtr_usr.php?id=',$row['id'],'">',$row['name'],'</a>'; break;
    case 'role': echo '<span class="small">',$L['Userrole'][$row['role']],'</span>'; break;
    case 'location':
      echo (empty($strMail) ? '<img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_e_0.gif" alt="mail" title="no e-mail"/>' : $strMail);
      echo ' ',(empty($strWww) ? '<img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_w_0.gif" alt="email" title="no web site"/>' : $strWww);
      echo (empty($strCoord) ? '' : ' '.$strCoord);
      echo ($_SESSION[QT]['viewmode']=='C' ? ' ' : '<br/>'),'<span class="small">',$row['location'],'</span>';
      break;
    case 'firstdate': echo QTdatestr($row['firstdate'],'$','',true,false,true); break;
    case 'modifdate':  echo '<span class="small">',( !empty($oTopic->modifdate) ? QTdatestr($oTopic->modifdate,'$','',true,false,true) : $L['None']),'</span>'; break;
    default:
      echo '<span class="small">';
      if ( $bTopic )
      {
        if ( isset($oTopic->$strKey) ) echo ($oTopic->$strKey==='' ? S : $oTopic->$strKey);
      }
      elseif ( isset($row[$strKey]) )
      {
        echo ($row[$strKey]==='' ? S : $row[$strKey]);
      }
      else
      {
        echo S;
      }
      echo '</span>';
      break;
    }    
    echo '</td>',N;
  }
  echo '</tr>',N;
  break;

case 'print':

  echo '<tr class="data_t ',$strAlt,'">',N;
  foreach($arrFields as $strKey=>$arrVal)
  {
    if ( !isset($arrVal['tdclass']) ) $arrVal['tdclass'] = str_replace('th_','td_',$arrVal['thclass']);
    if ( !isset($arrVal['tdstyle']) ) $arrVal['tdstyle'] = '';
    if ( $strKey=='status' && strstr($arrVal['tdstyle'],'%bg') ) $arrVal['tdstyle'] = str_replace('%bg',$oSYS->statuses[$oTopic->status]['color'],$arrVal['tdstyle']);
    if ( $strKey=='numid' && strstr($arrVal['tdstyle'],'%bg') ) $arrVal['tdstyle'] = str_replace('%bg',$oSYS->statuses[$oTopic->status]['color'],$arrVal['tdstyle']);
    
    echo '<td',(empty($arrVal['tdclass']) ? '' : ' class="'.$arrVal['tdclass'].' '.$strAlt.'"'),(empty($arrVal['tdstyle']) ? '' : ' style="'.$arrVal['tdstyle'].'"'),'>';
    
    switch($strKey)
    {
    case 'icon': echo AsImg($strTicon,'T',$strTname,'ico i_topic'); break;
    case 'numid': echo ( $strSectionNumfield=='N' ? '&nbsp;' : '<span class="span_ref">'.sprintf($strSectionNumfield,$oTopic->numid).'</span>' ); break;
    case 'smile': echo ($oTopic->smile=='00' ? S : AsImg($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$strSectionPrefix.'_'.$oTopic->smile.'.gif','[o]',$L['Ico_prefix'][$strSectionPrefix.'_'.$oTopic->smile],'ico ico_prefix')); break;
    case 'title':
      echo ($oTopic->type=='A' ? '<span class="small">'.$L['News_stamp'].'</span>' : ''),$oTopic->title;
      if ( !empty($strCoord) ) echo ' '.$strCoord;
      break;
    case 'you':  echo $oTopic->youreply; break;
    case 'sectiontitle': echo ObjTrans('sec','s'.$oTopic->section,$strSectiontitle); break;
    case 'firstpostname': echo $oTopic->firstpostname,'<br/>',QTdatestr($oTopic->firstpostdate); break;
    case 'lastpostdate': echo QTdatestr($oTopic->lastpostdate),'<br/>',strtolower($L['By']),' ',$oTopic->lastpostname; break;
    case 'wisheddate': echo '<span class="small">',( !empty($oTopic->wisheddate) ? QTdatestr($oTopic->wisheddate,'$','') : $L['None']),'</span>'; break;
    case 'eventdate': echo '<span class="small">',( !empty($oTopic->eventdate) ? QTdatestr($oTopic->eventdate,'$','') : $L['None']),'</span>'; break;
    case 'status': echo '<span class="small">',$oSYS->statuses[$oTopic->status]['statusname'],(empty($oTopic->statusdate) ? '' : '<br/>('.QTdatestr($oTopic->statusdate,'d M','$').')'),'</span>'; break;
    case 'tags': echo '<span class="tag small">',$strTags,'</span>'; break;
    case 'coord': echo '<span class="tag small">',(empty($strLatLon) ? S : $strLatLon),'</span>'; break;
    case 'actorname': echo '<span class="small">',( $oTopic->actorid>0 ? $oTopic->actorname : $L['None']),'</span>'; break;
    case 'notifiedname': echo '<span class="small">',( $oTopic->notifiedid>0 ? $oTopic->notifiedname : $L['None']),'</span>'; break;
    case 'photo': echo (empty($row['photo']) ? S : AsImg($row['photo'],'',$row['name'],'imagelist') ); break;
    case 'role': echo '<span class="small">',$L['Userrole'][$row['role']],'</span>'; break;
    case 'firstdate': echo QTdatestr($row['firstdate'],'$',''); break;
    case 'modifdate': echo '<span class="small">',( !empty($oTopic->modifdate) ? QTdatestr($oTopic->modifdate,'$','') : $L['None']),'</span>'; break;
    default:
      if ( $bTopic )
      {
        if ( isset($oTopic->$strKey) ) echo ($oTopic->$strKey==='' ? S : $oTopic->$strKey);
      }
      elseif ( isset($row[$strKey]) )
      {
        echo ($row[$strKey]==='' ? S : $row[$strKey]);
      }
      else
      {
        echo S;
      }
      break;
    }
    echo '</td>',N;
  }
  echo '</tr>',N;
  break;

case 'csv':

  global $strCSV;
  foreach($arrFields as $strKey=>$arrVal) {
  switch($strKey) {
  case 'csvdate': $strCSV .= ToCsv(substr($oTopic->firstpostdate,0,8)); break;
  case 'csvtime': $strCSV .= (strlen($oTopic->firstpostdate)>9 ? ToCsv(substr($oTopic->firstpostdate,9,2).':'.substr($oTopic->firstpostdate,11,2).':'.substr($oTopic->firstpostdate,13,2)) : '""'); break;
  case 'numid':   $strCSV .= ToCsv(sprintf($strSectionNumfield,$oTopic->numid)); break;
  case 'status':  $strCSV .= ToCsv($oSYS->statuses[$oTopic->status]['statusname']); break;
  case 'smile':   $strCSV .= ToCsv(($oTopic->smile=='00' ? '' : $L['Ico_prefix'][$strSectionPrefix.'_'.$oTopic->smile])); break;
  case 'title':   $strCSV .= ToCsv(($oTopic->type=='A' ? $L['News_stamp'] : '').$oTopic->title); break;
  case 'text':    $strCSV .= ToCsv((!empty($oTopic->preview) ? $oTopic->preview : '')); break;
  case 'firstpostname': $strCSV .= ToCsv($oTopic->firstpostname.', '.QTdatestr($oTopic->firstpostdate)); break;
  case 'lastpostdate': $strCSV .= ToCsv(QTdatestr($oTopic->lastpostdate).' '.strtolower($L['By']).' '.$oTopic->lastpostname); break;
  case 'wisheddate': $strCSV .= ( !empty($oTopic->wisheddate) ? ToCsv(QTdatestr($oTopic->wisheddate,'$','')) : ToCsv($L['None']) ); break;
  case 'status': $strCSV .= ToCsv($oSYS->statuses[$oTopic->status]);  break;
  case 'replies': $strCSV .= $oTopic->replies.';';  break;
  case 'views': $strCSV .= $oTopic->views.';';  break;
  case 'tags': $strCSV .= ToCsv(strip_tags($strTags)); break;
  case 'coord': $strCSV .= ToCsv(($strLatLon)); break;
  case 'id': $strCSV .= $oTopic->id.';'; break;
  case 'actorname': $strCSV .= ToCsv($oTopic->actorname); break;
  case 'notifiedname': $strCSV .= ToCsv($oTopic->notifiedname); break;
  case 'uid': $strCSV .= $oTopic->id.';'; break;
  case 'modifdate': $strCSV .= ( empty($oTopic->modifdate) ? ToCsv($L['None']) : ToCsv(QTdatestr($oTopic->modifdate,'$','')) ); break;
  }}
  // add return at the end (instead of ;)
  if ( substr($strCSV,-1,1)==';' ) $strCSV = substr($strCSV,0,-1);
  $strCSV .= "\r\n";
  break;

}

}

?>