<?php

// QT-registerations 2.2 build:20090710

// --------
// HTML start
// --------
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">

<head>
<title>QT-registerations installation checker</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="admin/qtr_main.css"/>
<style type="text/css">
<!--
p.check {margin:5px 0 0 0; padding:0}
p.endcheck {margin:5px 0 0 0; padding:5px; border:solid 1px #aaaaaa}
span.ok {color:#00aa00; background-color:inherit}
span.nok {color:#ff0000; background-color:inherit}
div.footer_copy {margin:0; padding:0}
p.footer_copy {margin:0; padding:0; text-align:right}
-->
</style>
</head>

<body>

<!-- PAGE CONTROL -->
<div class="qtr_page">
<table class="qtr_page" width="700" cellspacing="0" style="margin:5px">
<tr class="qtr_page">
<td class="qtr_page">
<!-- PAGE CONTROL -->

<!-- HEADER BANNER -->
<div class="banner">
<div class="banner_in">
<img src="admin/qtr_logo.gif" width="175" height="50" style="border-width:0" alt="QT-registrations" title="QT-registrations"/>
</div>
</div>
<!-- END HEADER BANNER -->

<!-- BODY MAIN -->
<table width="100%" cellspacing="0" style="border:1px solid #AAAAAA;">
<tr>
<td style="padding:5px 10px 5px 10px;">
<!-- BODY MAIN -->
';

// --------
// 1 CONFIG
// --------

echo '<p style="margin:0;text-align:right">QT-registerations 2.2 build:20090710</p>';

echo '<h1>Checking your configuration</h1>';

$error = '';

// 1 file exist

  echo '<p class="check">Checking installed files... ';

  if ( !file_exists('bin/config.php') )          $error .= '<br/>File <b>config.php</b> is not in the <b>bin</b> directory. Communication with database is impossible.';
  if ( !file_exists('bin/qtr_init.php') )        $error .= '<br/>File <b>qtr_init.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qt_lib_db.php') )       $error .= '<br/>File <b>qt_lib_db.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qt_lib_txt.php') )      $error .= '<br/>File <b>qt_lib_txt.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qt_lib_url.php') )      $error .= '<br/>File <b>qt_lib_url.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_fn_common.php') )   $error .= '<br/>File <b>qtr_fn_common.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_fn_sql.php') )      $error .= '<br/>File <b>qtr_fn_sql.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_sys.php') )   $error .= '<br/>File <b>qtr_class_sys.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_sec.php') )   $error .= '<br/>File <b>qtr_class_sec.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_topic.php') ) $error .= '<br/>File <b>qtr_class_topic.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_post.php') )  $error .= '<br/>File <b>qtr_class_post.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_vip.php') )   $error .= '<br/>File <b>qtr_class_vip.php</b> is not in the <b>bin</b> directory. Application cannot start.';
  if ( !file_exists('bin/qtr_class_lang.php') )  $error .= '<br/>File <b>qtr_class_lang.php</b> is not in the <b>bin</b> directory. Application cannot start.';

  if ( empty($error) )
  {
  echo '<span class="ok">Main files found.</span></p>';
  }
  else
  {
  die('<span class="nok">'.$error.'</span></p>');
  }

// 2 config is correct

  echo '<p class="check">Checking config.php... ';

  include('bin/config.php');
  include('bin/qtr_fn_common.php');

  if ( !isset($qtr_dbsystem) ) $error .= '<br/>Variable <b>$qtr_dbsystem</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_host) )     $error .= '<br/>Variable <b>$qtr_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_database) ) $error .= '<br/>Variable <b>$qtr_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_prefix) )   $error .= '<br/>Variable <b>$qtr_prefix</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_user) )     $error .= '<br/>Variable <b>$qtr_user</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_pwd) )      $error .= '<br/>Variable <b>$qtr_pwd</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_port) )     $error .= '<br/>Variable <b>$qtr_port</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( !isset($qtr_dsn) )      $error .= '<br/>Variable <b>$qtr_dsn</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';

  if ( !empty($error) )  die('<span class="nok">'.$error.'</span>');

  // check db type
  if ( !in_array($qtr_dbsystem,array('mysql4','mysql','mssql','pg','ibase','sqlite','db2','access','oci')) ) die('Unknown db type '.$qtr_dbsystem);
  // check other values
  if ( empty($qtr_host) )      $error .= '<br/>Variable <b>$qtr_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';
  if ( empty($qtr_database) )  $error .= '<br/>Variable <b>$qtr_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.';

  if ( empty($error) )
  {
  echo '<span class="ok">Done.</span></p>';
  }
  else
  {
  die('<span class="nok">'.$error.'</span></p>');
  }

// 3 test db connection

  echo '<p class="check">Connecting to database... ';

  include('bin/qt_lib_db.php');

  $oDB = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);

  if ( empty($oDB->error) )
  {
  echo '<span class="ok">Done.</span></p>';
  }
  else
  {
  die('<span class="nok">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</span></p>');
  }

// end CONFIG tests

  echo '<p class="endcheck">Configuration tests completed successfully.</p>';

// --------
// 2 DATABASE
// --------

$error = '';

echo '
<h1>Checking your database design</h1>
';

// 1 setting table

  echo '<p class="check">Checking setting table... ';
   
  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="version"');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtrsetting</span></p>');
  $row = $oDB->Getrow();
  $strVersion = $row['setting'];

  echo '<span class="ok">Table [',$qtr_prefix,'qtrsetting] exists. Version is ',$strVersion,'.</span></p>';
  if ( !in_array(substr($strVersion,0,3),array('2.1','2.2')) ) die('<span class="nok">But data in this table refers to an incompatible version (must be version 2.2).</span></p>');

// 2 domain table

  echo '<p class="check">Checking domain table... ';
  
  $oDB->Query('SELECT count(*) as countid FROM '.$qtr_prefix.'qtrdomain');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtrdomain</span></p>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo '<span class="ok">Table [',$qtr_prefix,'qtrdomain] exists. ',$intCount,' domain(s) found.</span></p>';

// 3 section table

  echo '<p class="check">Checking section table... ';
  
  $oDB->Query('SELECT count(*) as countid FROM '.$qtr_prefix.'qtrsection');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtrsection</span></p>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo '<span class="ok">Table [',$qtr_prefix,'qtrsection] exists. ',$intCount,' section(s) found.</span></p>';

// 4 topic table

  echo '<p class="check">Checking topic table... ';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrtopic');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtrtopic</span></p>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo '<span class="ok">Table ['.$qtr_prefix.'qtrtopic] exists. ',$intCount,' ticket(s) found.</span></p>';

// 5 post table

  echo '<p class="check">Checking post table... ';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrpost');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtrpost</span></p>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo '<span class="ok"> ['.$qtr_prefix.'qtrpost] exists. ',$intCount,' post(s) found.</span></p>';

// 6 user table

  echo '<p class="check">Checking user table... ';
  
  $oDB->Query('SELECT count(*) as countid FROM '.$qtr_prefix.'qtruser');
  if ( !empty($oDB->error) ) die('<span class="nok">Problem with table '.$qtr_prefix.'qtruser</span></p>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo '<span class="ok">Table [',$qtr_prefix,'qtruser] exists. ',$intCount,' user(s) found.</span></p>';

// end DATABASE tests

  echo '<p class="endcheck">Database tests completed successfully.</p>';

// --------
// 3 LANGUAGE AND SKIN
// --------

$error = '';

echo '
<h1>Checking language and skin options</h1>
';

  echo '<p class="check">Files... ';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="language"');
  $row = $oDB->Getrow();
  $str = $row['setting'];
  if ( empty($str) ) $error .= 'Setting <b>language</b> is not defined in the setting table. Application can only work with english.<br/>';  
  if ( !file_exists("language/$str/qtr_main.php") )   $error .= 'File <b>qtr_main.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( !file_exists("language/$str/qtr_adm.php") )    $error .= 'File <b>qtr_adm.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( !file_exists("language/$str/qtr_adm_tf.php") ) $error .= 'File <b>qtr_adm_tf.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( !file_exists("language/$str/qtr_reg.php") )    $error .= 'File <b>qtr_reg.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( !file_exists("language/$str/qtr_zone.php") )   $error .= 'File <b>qtr_zone.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( $str!='english' )
  {
  if ( !file_exists("language/english/qtr_main.php") )   $error .= 'File <b>qtr_main.php</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>';
  if ( !file_exists("language/english/qtr_adm.php") )    $error .= 'File <b>qtr_adm.php</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>';
  if ( !file_exists("language/english/qtr_adm_tf.php") ) $error .= 'File <b>qtr_adm_tf.php</b> is not in the <b>language/xxxx</b> directory.<br/>';
  if ( !file_exists("language/english/qtr_reg.php") )    $error .= 'File <b>qtr_reg.php</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>';
  if ( !file_exists("language/english/qtr_zone.php") )   $error .= 'File <b>qtr_zone.php</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>';
  }
  
  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="skin_dir"');
  $row = $oDB->Getrow();
  $str = $row['setting'];
  if ( empty($str) ) $error .= 'Setting <b>skin</b> is not defined in the setting table. Application will not display correctly.<br/>';  
  if ( !file_exists("skin/$str/qtr_main.css") ) $error .= 'File <b>qtr_main.css</b> is not in the <b>skin/xxxx</b> directory.<br/>';
  if ( !file_exists("skin/default/qtr_main.css") ) $error .= 'File <b>qtr_main.css</b> is not in the <b>skin/default</b> directory. Default skin is mandatory.<br/>';
  
  if ( empty($error) ) 
  {
  echo '<span class="ok">Ok.</span>';
  }
  else
  {
  echo '<span class="nok">',$error,'</span>';
  }

  echo '</p>';

// end LANGUAGE AND SKIN tests

  echo '<p class="endcheck">Language and skin files tested.</p>';

// --------
// 4 ADMINISTRATION TIPS
// --------

$error = '';

echo '
<h1>Administration tips</h1>
';

// 1 admin email

  echo '<p class="check">Email setting... ';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="admin_email"');
  $row = $oDB->Getrow();
  $strMail = $row['setting'];
  if ( empty($strMail) )
  {
  $error .= 'Administrator e-mail is not yet defined. It\'s mandatory to define it !';
  }
  else
  {
  if ( !ereg("^.+@.+\..+$",$strMail) )  $error .= 'Administrator e-mail format seams incorrect. Please check it';
  }

  if ( !empty($error) ) echo '<span class="nok">'.$error.'</span></p>';
  echo '<span class="ok">Done.</span></p>';
  $error = '';

// 2 admin password

  echo '<p class="check">Security check... ';

  $oDB->Query('SELECT pwd FROM '.$qtr_prefix.'qtruser WHERE id=1');
  $row = $oDB->Getrow();
  $strPwd = $row['pwd'];
  If ( $strPwd==sha1('Admin') ) $error .= 'Administrator password is still the initial password. It\'s recommended to change it!<br/>';

  if ( empty($error) ) 
  {
  echo '<span class="ok">Done.</span></p>';
  }
  else
  {
  echo '<span class="nok">',$error,'</span></p>';
  }
  $error = '';

// 3 site url

  echo '<p class="check">Site url... ';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="site_url"');
  $row = $oDB->Getrow();
  $strText = trim($row['setting']);
  if ( substr($strText,0,7)!='http://' && substr($strText,0,8)!='https://' )
  {
    $error .= 'Site url is not yet defined (or not starting by http://). It\'s mandatory to define it !<br/>';
  }
  else
  {
    $strURL = ( empty($_SERVER['SERVER_HTTPS']) ? 'http://' : 'https://' ).$_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
    $strURL = substr($strURL,0,-10);
    if ( $strURL!=$strText ) $error .= 'Site url seams to be different that the current url. Please check it<br/>';
  }   

  if ( empty($error) ) 
  {
  echo '<span class="ok">Done.</span></p>';
  }
  else
  {
  echo '<span class="nok">',$error,'</span></p>';
  }
  $error = '';

// 4 picture folder permission

  echo '<p class="check">Folder permissions... ';
  
  if ( !is_dir('avatar') )
  { 
    $error .= 'Directory <b>avatar</b> not found. Please create this directory and make it writeable (chmod 777) if you want to allow pictures.<br/>';
  }
  else
  {
    if ( !is_readable('avatar') ) $error .= 'Directory <b>avatar</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow pictures.<br/>';
    if ( !is_writable('avatar') ) $error .= 'Directory <b>avatar</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow pictures.<br/>';
  }

  if ( !empty($error) ) echo '<span class="nok">',$error,'</span></p>';
  echo '<span class="ok">Done.</span></p>';
  $error = '';

echo '<p class="endcheck">Administration tips completed.</p>';

// --------
// 5 END
// --------

echo '
<h1>Result</h1>
';
echo 'The checker did not found blocking issues in your configuration.<br/>';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="board_offline"');
  $row = $oDB->Getrow();
  $strOff = $row['setting'];
  if ( $strOff=='1' ) echo 'Your board seams well installed, but is currently <font color="red">off-line</font>.<br/>Log as Administrator and go to the Administration panel to turn your board on-line.<br/>';

echo '<br/><br/><a href="qtr_index.php">Go to QT-registrations</a>';

// --------
// HTML END
// --------

echo '
<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->

<div class="footer_copy">
<p class="footer_copy">powered by <a href="http://www.qt-cute.org" class="footer_copy">QT-cute</a></p>
</div>

<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>';

?>
