<?php

// QT-registerations 2.2 build:20090710

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname text,
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname varchar(4000),
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname varchar(4000),
  CONSTRAINT pk_'.$qtr_prefix.'qtrlang PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname varchar(4000),
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype text,
  objlang text,
  objid text,
  objname text,
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname varchar(4000),
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'access':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname memo,
  CONSTRAINT pk_'.$qtr_prefix.'qtrlang PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar(10),
  objlang varchar(2),
  objid varchar(24),
  objname varchar(4000),
  PRIMARY KEY (objtype,objlang,objid)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrlang (
  objtype varchar2(10),
  objlang varchar2(2),
  objid varchar2(24),
  objname varchar2(4000),
  CONSTRAINT pk_'.$qtr_prefix.'qtrlang PRIMARY KEY (objtype,objlang,objid))';
  break;

default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, oracle or access");

}

echo '<span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrlang',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="button"><tr><td></td><td class="button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tab","en","ticket","Primary&nbsp;information")');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tabdesc","en","ticket","Primary incident information")');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tab","en","messages","Messages")');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tabdesc","en","messages","Related messages")');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tab","en","documents","Documents")');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrlang (objtype,objlang,objid,objname) VALUES ("tabdesc","en","documents","Related documents")');

?>