<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');

// INITIALISE

$oVIP->selfurl = 'qtr_privacy.php';
$oVIP->selfname = $L['Legal'];

// --------
// HTML START
// --------

$bJava=false;
include('qtr_p_header.php');

HtmlMsg(0,'620px','',$oVIP->selfname);

include(Translate('sys_rules.txt'));
if ( QTR_USE_COPPA ) include(Translate('sys_rules_coppa.txt'));

HtmlMsg(1);

HtmlMsg(0,'620px','','About QT-registerations');

$strFile = Translate('sys_about.php');
if ( file_exists($strFile) ) { include($strFile); } else { echo 'Missing file:<br/>'.$strFile; }

echo '<p>
<a href="http://validator.w3.org/check?uri=referer"><img src="admin/vxhtml10.png" alt="Valid XHTML 1.0 Strict" height="31" width="88"/></a>&nbsp;
<a href="http://jigsaw.w3.org/css-validator/"><img src="admin/vcss.png" alt="Valid CSS" height="31" width="88"/></a>&nbsp;
</p>';

HtmlMsg(1);

// HTML END

include('qtr_p_footer.php');

?>