<?php

// QT-registrations 2.2 build:20090710

$arrYears = array($intYear-1,$intYear); // Normal is 1 year but for Trends analysis, 2 years

include('qtr_stats_inc_g.php');

if ( $ch['time']=='q' ) { $intWidth=16; } else { $intWidth=11; }

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTitle( PdfClean($L['Statistics']) );
$pdf->SetAuthor( PdfClean($_SESSION[QT]['site_name']) );
$pdf->SetSubject( PdfClean($L['H_Global_trends']) );

$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor(150);
$pdf->Ln();
$pdf->Cell(0, 10, PdfClean($L['H_Global_trends']), 'T', 1, 'R');
$pdf->SetTextColor(0);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(0, 8, PdfClean(($intYear-1).' - '.$intYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['Tag_only'].' "'.str_replace(';','" '.$L['or'].' "',$tag).'"')), '', 1);

// -----
foreach($arrYears as $intYear) {
// -----

$arrTable = array();

// Table header

  $arrRow = array();
  $oCell = new cPdfCell($intYear,28,5,'',true); $oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $arrA[$i], $intWidth,5,'C',true); $arrRow[]=$oCell; }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body topics

  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT[$intYear][$intBt]) ? $arrT[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrTs[$intYear],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body messages

  $arrRow = array();
  $oCell = new cPdfCell($L['Messages'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrM[$intYear][$intBt]) ? $arrM[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrMs[$intYear],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body users

  $arrRow = array();
  $oCell = new cPdfCell($L['Users'].'*',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrU[$intYear][$intBt]) ? $arrU[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrUs[$intYear],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Show table
 
$pdf->BasicTable($arrTable);
$pdf->Ln(1);

// -----
}
// -----

$arrTable = array();

// Table header

  $arrRow = array();
  $oCell = new cPdfCell($L['Trends'],28,5,'',true); $oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $arrA[$i], $intWidth,5,'C',true); $arrRow[]=$oCell; }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body topic

  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = QTtrend( (isset($arrT[$intYear][$intBt]) ? $arrT[$intYear][$intBt] : null), (isset($arrT[$intYear-1][$intBt]) ? $arrT[$intYear-1][$intBt] : 0),$ch['trend']=='p' );
    if ( isset($i) )
    {
      $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = $oCell->s; }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = QTtrend( (isset($arrTs[$intYear]) ? $arrTs[$intYear] : null), (isset($arrTs[$intYear-1]) ? $arrTs[$intYear-1] : 0),$ch['trend']=='p' );
  if ( isset($i) )
  {
    $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = $oCell->s; }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body messages

  $arrRow = array();
  $oCell = new cPdfCell($L['Messages'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = QTtrend( (isset($arrM[$intYear][$intBt]) ? $arrM[$intYear][$intBt] : null), (isset($arrM[$intYear-1][$intBt]) ? $arrM[$intYear-1][$intBt] : 0),$ch['trend']=='p' );
    if ( isset($i) )
    {
      $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = $oCell->s; }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = QTtrend( (isset($arrMs[$intYear]) ? $arrMs[$intYear] : null), (isset($arrMs[$intYear-1]) ? $arrMs[$intYear-1] : 0),$ch['trend']=='p' );
  if ( isset($i) )
  {
    $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body users

  $arrRow = array();
  $oCell = new cPdfCell($L['Users'].'*',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = QTtrend( (isset($arrU[$intYear][$intBt]) ? $arrU[$intYear][$intBt] : null), (isset($arrU[$intYear-1][$intBt]) ? $arrU[$intYear-1][$intBt] : 0),$ch['trend']=='p' );
    if ( isset($i) )
    {
      $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = QTtrend( (isset($arrUs[$intYear]) ? $arrUs[$intYear] : null), (isset($arrUs[$intYear-1]) ? $arrUs[$intYear-1] : 0),$ch['trend']=='p' );
  if ( isset($i) )
  {
    $oCell->s = $i.($ch['trend']=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// End table
 
$pdf->BasicTable($arrTable);
$pdf->Ln(1);

// Note

$pdf->SetFont('Arial','',8);
$pdf->SetTextColor(0);
$pdf->Cell(0, 10, '* '.PdfClean($L['Distinct_users']), '', 1);
$pdf->Ln(5);

// After values display, change the null values to zero to be able to make charts

foreach($arrYears as $intYear)
{
$arrT[$intYear] = QTarrayzero($arrT[$intYear]);
$arrM[$intYear] = QTarrayzero($arrM[$intYear]);
$arrU[$intYear] = QTarrayzero($arrU[$intYear]);
}

// PCHART OR CHART

if ( file_exists('pChart/pChart.class') && file_exists('pChart/pData.class') && file_exists('pChart/pCache.class') && !isset($_GET['oldgraph']) )
{

  $pdf->Image('pChart/tmp/'.$tt.'1'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),180); //,380,230,'PNG');
  $pdf->AddPage();
  $pdf->Image('pChart/tmp/'.$tt.'2'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),180); //,380,230,'PNG');
  $pdf->SetY($pdf->GetY()+80);
  $pdf->Image('pChart/tmp/'.$tt.'3'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),180); //,380,230,'PNG');
  $pdf->SetY($pdf->GetY()+80);

}
elseif ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_main2.css') )
{
  $y = $pdf->GetY();
  $x = $pdf->GetX();

  // TOPIC first serie
  
  $intTopValue = QTroof( array(max($arrT[$intYear-1]),max($arrT[$intYear-1])) );
  if ( $ch['value']=='a' ) 
  {
  $pdf = QTbarchartpdf($pdf,$arrT[$intYear-1],92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear-1,'','1');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrT[$intYear-1],92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear-1,'','1');
  }

  $pdf->SetXY($x+94,$y);

  // TOPIC second serie

  if ( $ch['value']=='a' )
  {
  $pdf = QTbarchartpdf($pdf,$arrT[$intYear],92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear,'','1');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrT[$intYear],92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear,'','1');
  }
  
  $pdf->SetXY($x,$y+47);

  // MESSAGES first serie
  
  $intTopValue = QTroof( array(max($arrM[$intYear-1]),max($arrM[$intYear-1])) );
  if ( $ch['value']=='a' ) 
  {
  $pdf = QTbarchartpdf($pdf,$arrM[$intYear-1],92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear-1,'','2');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrM[$intYear-1],92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear-1,'','2');
  }

  $pdf->SetXY($x+94,$y+47);

  // MESSAGES second serie

  if ( $ch['value']=='a' ) 
  {
  $pdf = QTbarchartpdf($pdf,$arrM[$intYear],92,30,$intTopValue,2,true,$L['Messages_per_'.$bt].' '.$intYear,'','2');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrM[$intYear],92,30,$intTopValue,2,'P',$L['Messages_per_'.$bt].' (%)'.' '.$intYear,'','2');
  }
  
  $pdf->SetXY($x,$y+94);

  // USERS first serie
  
  $intTopValue = QTroof( array(max($arrU[$intYear-1]),max($arrU[$intYear-1])) );
  if ( $ch['value']=='a' ) 
  {
  $pdf = QTbarchartpdf($pdf,$arrU[$intYear-1],92,30,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear-1,'','3');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrU[$intYear-1],92,30,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear-1,'','3');
  }

  $pdf->SetXY($x+94,$y+94);

  // USERS second serie

  if ( $ch['value']=='a' ) 
  {
  $pdf = QTbarchartpdf($pdf,$arrU[$intYear],92,30,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear,'','3');
  }
  else
  {
  $pdf = QTbarchartpdf($pdf,$arrU[$intYear],92,30,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear,'','3');
  }
  
  $pdf->SetXY($x,$y+138);
}
else
{
  $pdf->SetFont('Arial','',8);
  $pdf->Cell(0, 10, PdfClean('Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, '.$_SESSION[QT]['skin_dir'].'/qtr_main2.css'), 'T', 1);
}

// --------
// PDF END
// --------

$pdf->Output();

?>