<?php

// QT-registrations 2.2 build:20090710

// CHECK if data selected

if ( !isset($_SESSION[QT]['statF'][0]) )
{
  $oVIP->exiturl = 'qtr_stats.php';
  $oVIP->EndMessage('PDF','No data...',$_SESSION[QT]['skin_dir'],3);
}

// ------
// OUTPUT
// ------

$arrYears = array($intYear-1,$intYear);

include('qtr_stats_inc_n.php');

// ------
// OUTPUT
// ------

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTitle( PdfClean($L['Statistics']) );
$pdf->SetAuthor( PdfClean($_SESSION[QT]['site_name']) );
$pdf->SetSubject( PdfClean($L['Count']) );

$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor(150);
$pdf->Ln();
$pdf->Cell(0, 10, PdfClean($L['Count']), 'T', 1, 'R');
$pdf->SetTextColor(0);

if ( $bt=='q' ) { $intWidth=16; } else { $intWidth=11; }

// title

$pdf->SetFont('Arial','B',10);
$pdf->Cell(0, 8, PdfClean( $intYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['Tag_only'].' "'.str_replace(';','" '.$L['or'].' "',$tag).'"') ), '', 1);

// Table header

  $arrRow = array();
  $oCell = new cPdfCell(' ',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $arrA[$i], $intWidth,5,'C',true); $arrRow[]=$oCell; }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body

foreach($_SESSION[QT]['statF'] as $intKey=>$strNumericField)
{
  $arrRow = array();
  $oCell = new cPdfCell(ObjTrans('field',$strNumericField),28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT[$intKey][$intBt]) ? $arrT[$intKey][$intBt] : '.'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrTs[$intKey],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

if ( $_SESSION[QT]['statS'] )
{
  $arrRow = array();
  $oCell = new cPdfCell($L['Total'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT['S'][$intBt]) ? $arrT['S'][$intBt] : '.'),$intWidth,5,'C',true); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrTs['S'],$intWidth+3,5,'C',true);$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

if ( $_SESSION[QT]['statC'] )
{
  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT['C'][$intBt]) ? $arrT['C'][$intBt] : '.'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrTs['C'],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

// End table
 
$pdf->BasicTable($arrTable);
$pdf->Ln();

// After values display, change the null values to zero to be able to make charts

foreach(array(0,1,2,3,'S','C') as $intSerie)
{
$arrT[$intSerie] = QTarrayzero($arrT[$intSerie]);
}

// PCHART OR CHART

if ( file_exists('pChart/pChart.class') && file_exists('pChart/pData.class') && file_exists('pChart/pCache.class')  && !isset($_GET['oldgraph']) )
{

  // Topics
  if ( isset($_SESSION[QT]['statF'][0]) ) $pdf->Image('pChart/tmp/'.$tt.'0'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),90);
  if ( isset($_SESSION[QT]['statF'][1]) ) $pdf->Image('pChart/tmp/'.$tt.'1'.$intYear.implode('',$ch).'.png',100,$pdf->GetY(),90);
  if ( isset($_SESSION[QT]['statF'][0]) || isset($_SESSION[QT]['statF'][1]) ) $pdf->SetY($pdf->GetY()+55);
  if ( isset($_SESSION[QT]['statF'][2]) ) $pdf->Image('pChart/tmp/'.$tt.'2'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),90);
  if ( isset($_SESSION[QT]['statF'][3]) ) $pdf->Image('pChart/tmp/'.$tt.'3'.$intYear.implode('',$ch).'.png',100,$pdf->GetY(),90);
  if ( isset($_SESSION[QT]['statF'][2]) || isset($_SESSION[QT]['statF'][3]) ) $pdf->SetY($pdf->GetY()+55);
  if ( $_SESSION[QT]['statS'] ) $pdf->Image('pChart/tmp/'.$tt.'S'.$intYear.implode('',$ch).'.png',10,$pdf->GetY(),90);
  if ( $_SESSION[QT]['statC'] ) $pdf->Image('pChart/tmp/'.$tt.'C'.$intYear.implode('',$ch).'.png',100,$pdf->GetY(),90);

}
elseif ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_main2.css') )
{

  $y = $pdf->GetY();
  $x = $pdf->GetX();

  // Topics
  if ( isset($_SESSION[QT]['statF'][0]) )
  {  
    $intTopValue = QTroof($arrGraph[0]);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[0],92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][0]),'','1');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[0],92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][0]).' (%)','','1');
    }  
  }

  $pdf->SetXY($x+94,$y);

  if ( isset($_SESSION[QT]['statF'][1]) )
  {  
    $intTopValue = QTroof($arrGraph[1]);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[1],92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][1]),'','1');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[1],92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][1]).' (%)','','1');
    }  
  }

  $pdf->SetXY($x,$y+50);

  $b = false;
  if ( isset($_SESSION[QT]['statF'][2]) )
  {  
    $intTopValue = QTroof($arrGraph[2]);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[2],92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][2]),'','1');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[2],92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][2]).' (%)','','1');
    }
    $b = true;
  }

  $pdf->SetXY($x+94,$y+50);

  if ( isset($_SESSION[QT]['statF'][3]) )
  {  
    $intTopValue = QTroof($arrGraph[3]);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[3],92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][3]),'','1');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph[3],92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][3]).' (%)','','1');
    }  
    $b = true;
  }  
  if ( !$b ) $y -= 50; // move up if [2] and [3] not used

  $pdf->SetXY($x,$y+100);

  if ( $_SESSION[QT]['statS'] )
  {  
    $intTopValue = QTroof($arrGraph['S']);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph['S'],92,30,$intTopValue,2,true,$L['Total'],'','2');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph['S'],92,30,$intTopValue,2,'P',$L['Total'].' (%)','','2');
    }  
  }
  
  $pdf->SetXY($x+94,$y+100);

  if ( $_SESSION[QT]['statC'] )
  {  
    $intTopValue = QTroof($arrGraph['C']);
    if ( $ch['value']=='a' ) 
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph['C'],92,30,$intTopValue,2,true,$L['Topics'],'','3');
    }
    else
    {
    $pdf = QTbarchartpdf($pdf,$arrGraph['C'],92,30,$intTopValue,2,'P',$L['Topics'].' (%)','','3');
    }  
  }

}
else
{
  $pdf->SetFont('Arial','',8);
  $pdf->Cell(0, 10, PdfClean('Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, '.$_SESSION[QT]['skin_dir'].'/qtr_main2.css'), 'T', 1);
}


// --------
// PDF END
// --------

$pdf->Output();

?>